<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

?>
<div <?php post_class('content-video post-entry gallery-item');?>>
	<article  class="fw-artc">
		<?php if(get_post_meta(get_the_ID(), '_bloom_embed_video', true)!=""){ ?>	
		<div class="blog-media">
			<div class="resp-video">
				<?php echo wp_oembed_get(esc_url(get_post_meta(get_the_ID(), '_bloom_embed_video', true) )); ?>
			</div>
		</div>
		<?php
		}elseif(has_post_thumbnail( )){ ?>
		<div class="blog-media">
	        <?php the_post_thumbnail('bloom-thumb',array('class'=>'respimg') ); ?>
	    </div>
		<?php } ?>
		<?php if( bloom_global_var('blog_date')  || bloom_global_var('blog_cats')  ):?>
		<ul class="cat-list">
	        <?php if( bloom_global_var('blog_date') ) :?>
			<li><?php the_time(esc_html__('d M Y','bloom'));?></li>
			<?php endif;?>
			
			<?php if( bloom_global_var('blog_cats') ) :?>
				<?php if(get_the_category( )) { ?>
					<?php the_category( ); ?>		
				<?php } ?>	
			<?php endif;?>

	    </ul>
		<?php endif;?>
	    <h2><a href="<?php the_permalink();?>" class="ajax"><?php the_title( );?></a> <?php edit_post_link( esc_html__( 'Edit', 'bloom' ), '<span class="edit-link">', '</span>' ); ?></h2>
	    <?php the_excerpt();?>
	    <?php
			wp_link_pages( array(
			'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'bloom' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			) );
		?>
		<?php if( bloom_global_var('blog_tags') ) :?>
		<div class="fl-wrap bl-opt">
			<?php if(get_the_tags( )) { ?>
			<div class="single-post-tags fl-left">
				<i class="fa fa-tags"></i>
				<?php the_tags('','','');?>	
	        </div>
			<?php } ?>
	    </div>
	    <?php endif;?>

	    <div class="art-opt fl-wrap">
	        <a href="<?php the_permalink();?>" class=" btn anim-button flat-btn transition fl-l ajax" ><span><?php esc_html_e('Read more','bloom' );?></span><i class="fa fa-eye"></i></a>
	        <?php if( ( bloom_global_var('blog_show_views') || bloom_global_var('blog_comments') ) && 'no' !== _x( 'yes', 'Show counter on post thumbnails: yes or no', 'bloom' ) ) :?> 
	        <ul class="post-counter">
	        	<?php if( bloom_global_var('blog_show_views') ) :?>
	            <li><i class="fa fa-eye" aria-hidden="true"></i><span><?php echo bloom_get_post_views(get_the_ID()); ?></span></li>
	            <?php endif;?>
	            <?php if( bloom_global_var('blog_comments') ) :?>
	            <li><a href="<?php comments_link(); ?>"><i class="fa fa-comment-o" aria-hidden="true"></i><span><?php comments_number( _x('0','0 comment text format', 'bloom'), _x('1','1 comment text format', 'bloom'), _x('%','plural comment text format', 'bloom') ); ?></span></a></li>
	            <?php endif;?>
	        </ul>
	        <?php endif;?>
	    </div>


	</article>
</div>
