<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
    /**
     * ReduxFramework Sample Config File
     * For full documentation, please visit: http://docs.reduxframework.com/
     */

    if ( ! class_exists( 'Redux' ) ) {
        $bloom_default_options = '{"favicon":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/bloom\/images\/favicon.ico"},"logo_first":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/bloom\/images\/logo-demo-light.png"},"logo_size_width":"120","logo_size_height":"22","logo_text":"","slogan":"","show_loader":true,"all_image_popup":false,"enable_ajax_transition":false,"topbar_socials":"<ul>\n    <li><span>Mail : <\/span><a href=\"#\">yourmail@domain.com<\/a><\/li>\n    <li><span>Phone : <\/span><a href=\"#\">+7(111)123456789<\/a><\/li>\n<\/ul>","footer_content":"<div class=\"policy-box\">\n    <span>&#169; Bloom 2017  \/  All rights reserved. <\/span>\n<\/div>\n<div class=\"footer-social\">\n    <ul>\n        <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-facebook\"><\/i><span>facebook<\/span><\/a><\/li>\n        <li><a href=\"#\" target=\"_blank\"><i class=\"fa fa-twitter\"><\/i><span>twitter<\/span><\/a><\/li>\n        <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-instagram\"><\/i><span>instagram<\/span><\/a><\/li>\n        <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-pinterest\"><\/i><span>pinterest<\/span><\/a><\/li>\n        <li><a href=\"#\" target=\"_blank\" ><i class=\"fa fa-tumblr\"><\/i><span>tumblr<\/span><\/a><\/li>\n    <\/ul>\n<\/div>","enable_custom_sizes":false,"fullscreen_thumb":{"width":"9999","height":"9999","hard_crop":1},"horizontal_slider_thumb":{"width":"9999","height":"531","hard_crop":0},"galmasonry_thumbnail_size_one":{"width":"308","height":"204","hard_crop":1},"galmasonry_thumbnail_size_two":{"width":"616","height":"408","hard_crop":1},"galmasonry_thumbnail_size_three":{"width":"924","height":"612","hard_crop":1},"galgrid_thumbnail_size":{"width":"308","height":"9999","hard_crop":0},"team_member_thumb":{"width":"255","height":"170","hard_crop":1},"blog_image_thumb":{"width":"497","height":"330","hard_crop":1},"blog_image_large_thumb":{"width":"9999","height":"9999","hard_crop":1},"color-preset":"light","override-preset":false,"main-bg-color":"#ffffff","main-theme-color":"#000000","hyperlink-text-color":{"regular":"#000000","hover":"#000000","active":"#000000"},"paragraph-color":"#000000","header-color":"#ffffff","main-nav-menu-color":{"regular":"#404040","hover":"#999999","active":"#999999"},"active-menu-bg-color":"#cccccc","footer-bg-color":"#ffffff","theme-loader-color":"#cccccc","share_names":"facebook,pinterest,googleplus,twitter,linkedin","show_folio_header":true,"folio_home_text":"Our Portfolio","folio_home_text_intro":"<h4>Integer cursus bibendum augue ac cursus.<\/h4>","folio_header_image":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/bloom\/images\/bg\/15.jpg"},"folio_layout":"ver","folio_grid_content_width":"wide-container","folio_column":"three","folio_posts_per_page":5,"folio_archive_orderby":"date","folio_archive_order":"DESC","folio_pad":"small","folio_show_excerpt":false,"folio_show_cat_grid":true,"folio_show_readmore":true,"folio_enable_gallery":true,"folio_after_grid_content":"<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.<\/p>\n<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt.<\/p>","show_folio_footer":true,"folio_show_filter":true,"folio_grid_filter_width":"big-container","folio_filter_orderby":"name","folio_filter_order":"ASC","folio_show_counter":true,"folio_show_loadmore":true,"folio_use_pagi_infinite":true,"folio_loadmore_items":3,"folio_show_pagination":false,"show_blog_header":true,"blog_home_text":"Our Journal","blog_home_text_intro":"<h4>  Integer cursus bibendum augue ac cursus .<\/h4>","blog-grid-style":"list","blog_header_image":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/bloom\/images\/bg\/15.jpg"},"blog-grid-width":"blog-normal","blog_layout":"right_sidebar","blog-sidebar-width":"4","blog_list_show_format":false,"blog_list_share":false,"blog_author":true,"blog_date":true,"blog_cats":true,"blog_tags":true,"blog_comments":true,"blog-single-width":"blog-normal","blog-single-sidebar-width":"4","blog_single_title":false,"blog_featured_single":true,"blog_date_single":true,"blog_author_meta":true,"blog_cats_single":true,"blog_comments_single":true,"blog_tags_single":true,"blog_author_single":true,"blog_show_share":true,"blog_single_navigation":true,"blog_single_nav_same_term":false,"blog_list_link":"","password_page_bg":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/bloom\/images\/bg\/12.jpg"},"password_page_intro":"","password_page_home_link":"'.addcslashes( home_url('/' ) ,'/').'","bg404":{"url":"'.addcslashes( home_url('/' ) ,'/').'wp-content\/themes\/bloom\/images\/bg\/12.jpg"},"404_intro":"Page you are looking for - Not found","back_home_link":"'.addcslashes( home_url('/' ) ,'/').'","custom-css":"","custom-css-medium":"","custom-css-tablet":"","custom-css-mobile":"","body-font":"","hyperlink-font":"","hyperlink-hover-font":"","paragraph-font":"","header-font":"","bloom-second-font":"","bloom-third-font":"","redux_options_object":"","redux_import_export":"","REDUX_last_saved":1488339098,"REDUX_LAST_SAVE":1488339098}';
        $bloom_options = json_decode($bloom_default_options,true);
        return $bloom_options;
    }


    // This is your option name where all the Redux data is stored.
    $opt_name = "bloom_options";

    // This line is only for altering the demo. Can be easily removed.

    /*
     *
     * --> Used within different fields. Simply examples. Search for ACTUAL DECLARATION for field examples
     *
     */

    /**
     * ---> SET ARGUMENTS
     * All the possible arguments for Redux.
     * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
     * */

    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
        // TYPICAL -> Change these values as you need/desire
        'opt_name'             => $opt_name,
        // This is where your data is stored in the database and also becomes your global variable name.
        'display_name'         => $theme->get( 'Name' ),
        // Name that appears at the top of your panel
        'display_version'      => $theme->get( 'Version' ),
        // Version that appears at the top of your panel
        'menu_type'            => 'menu',
        //Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
        'allow_sub_menu'       => true,
        // Show the sections below the admin menu item or not
        'menu_title'           => esc_html__( 'Bloom Options', 'bloom' ),
        'page_title'           => esc_html__( 'Bloom Options', 'bloom' ),
        // You will need to generate a Google API key to use this feature.
        // Please visit: https://developers.google.com/fonts/docs/developer_api#Auth
        'google_api_key'       => '',
        // Set it you want google fonts to update weekly. A google_api_key value is required.
        'google_update_weekly' => false,
        // Must be defined to add google fonts to the typography module
        'async_typography'     => false,
        // Use a asynchronous font on the front end or font string
        //'disable_google_fonts_link' => true,                    // Disable this in case you want to create your own google fonts loader
        'admin_bar'            => true,
        // Show the panel pages on the admin bar
        'admin_bar_icon'       => 'dashicons-portfolio',
        // Choose an icon for the admin bar menu
        'admin_bar_priority'   => 50,
        // Choose an priority for the admin bar menu
        'global_variable'      => '',
        // Set a different name for your global variable other than the opt_name
        'dev_mode'             => false,
        // Show the time the page took to load, etc
        'update_notice'        => false,
        // If dev_mode is enabled, will notify developer of updated versions available in the GitHub Repo
        'customizer'           => true,
        // Enable basic customizer support
        //'open_expanded'     => true,                    // Allow you to start the panel in an expanded way initially.
        //'disable_save_warn' => true,                    // Disable the save warning when a user changes a field

        // OPTIONAL -> Give you extra features
        'page_priority'        => null,
        // Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
        'page_parent'          => 'themes.php',
        // For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
        'page_permissions'     => 'manage_options',
        // Permissions needed to access the options panel.
        'menu_icon'            => '',
        // Specify a custom URL to an icon
        'last_tab'             => '',
        // Force your panel to always open to a specific tab (by id)
        'page_icon'            => 'icon-themes',
        // Icon displayed in the admin panel next to your menu_title
        'page_slug'            => '',
        // Page slug used to denote the panel, will be based off page title then menu title then opt_name if not provided
        'save_defaults'        => true,
        // On load save the defaults to DB before user clicks save or not
        'default_show'         => false,
        // If true, shows the default value next to each field that is not the default value.
        'default_mark'         => '',
        // What to print by the field's title if the value shown is default. Suggested: *
        'show_import_export'   => true,
        // Shows the Import/Export panel when not used as a field.

        // CAREFUL -> These options are for advanced use only
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        // Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
        'output_tag'           => true,
        // Allows dynamic CSS to be generated for customizer and google fonts, but stops the dynamic CSS from going to the head
        // 'footer_credit'     => '',                   // Disable the footer credit of Redux. Please leave if you can help it.

        // FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
        'database'             => '',
        // possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!
        'use_cdn'              => true,
        // If you prefer not to use the CDN for Select2, Ace Editor, and others, you may download the Redux Vendor Support plugin yourself and run locally or embed it in your code.

        // HINTS
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     => array(
                'color'   => 'red',
                'shadow'  => true,
                'rounded' => false,
                'style'   => '',
            ),
            'tip_position'  => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
        )
    );


    // Panel Intro text -> before the form
    if ( ! isset( $args['global_variable'] ) || $args['global_variable'] !== false ) {
        if ( ! empty( $args['global_variable'] ) ) {
            $v = $args['global_variable'];
        } else {
            $v = str_replace( '-', '_', $args['opt_name'] );
        }
        $args['intro_text'] = sprintf( wp_kses(__( '<p><strong>Bloom - Creative Responsive Photography / Portfolio WordPress Theme</strong> is perfect if you like a clean and modern design. This theme is ideal for designers, photographers, and those who need an easy, attractive and effective way to share their work with clients.</p>', 'bloom' ),array('p'=>array(),'strong'=>array()) ) , $v );
    } else {
        $args['intro_text'] =  wp_kses(__( '<p><strong>Bloom - Creative Responsive Photography / Portfolio WordPress Theme</strong> is perfect if you like a clean and modern design. This theme is ideal for designers, photographers, and those who need an easy, attractive and effective way to share their work with clients.</p>', 'bloom' ),array('p'=>array(),'strong'=>array()) );
    }

    // Add content after the form.
    $args['footer_text'] = '<p>Thanks all of you who stay with us, your co-operation is our inspiration. <a href="'.esc_url('http://themeforest.net/user/cththemes/portfolio/' ).'" target="_blank">CTHthemes</a></p>';

    Redux::setArgs( $opt_name, $args );

    /*
     * ---> END ARGUMENTS
     */



    /*
     *
     * ---> START SECTIONS
     *
     */

    /*

        As of Redux 3.5+, there is an extensive API. This API can be used in a mix/match mode allowing for


     */
        //////////////// CUSTOM ///////////////

    // -> START General Settings

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('General', 'bloom'),
        'id'         => 'general-settings',
        'subsection' => false,
        //'desc'       => esc_html__( 'For full documentation on this field, visit: ', 'bloom' ) . '<a href="http://docs.reduxframework.com/core/fields/checkbox/" target="_blank">http://docs.reduxframework.com/core/fields/checkbox/</a>',
        'icon'       => 'fa fa-cogs',
        'fields' => array(
            array(
                'id' => 'favicon',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Custom Favicon', 'bloom'),
                'desc' => esc_html__('Upload your Favicon.', 'bloom'),
                'default' => array('url' => get_template_directory_uri().'/images/favicon.ico'),
            ),
            array(
                'id' => 'logo_first',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Your Logo', 'bloom'),

                'desc' => esc_html__('Upload your logo.', 'bloom'),

                'default' => array('url' => get_template_directory_uri().'/images/logo-demo-light.png'),
            ),
            array(
                'id' => 'logo_size_width',
                'type' => 'text',
                'title' => esc_html__('Logo Size Width', 'bloom'),

                'default' => '120'
            ),
            array(
                'id' => 'logo_size_height',
                'type' => 'text',
                'title' => esc_html__('Logo Size Height', 'bloom'),

                'default' => '22'
            ),
            array(
                'id' => 'logo_text',
                'type' => 'text',
                'title' => esc_html__('Logo Text', 'bloom'),

                'default' => ''
            ),
            array(
                'id' => 'slogan',
                'type' => 'text',
                'title' => esc_html__('Slogan (Sub Logo Text)', 'bloom'),
                'default' => ''
            ),
            

            

            array(
                'id' => 'show_loader',
                'type' => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title' => esc_html__('Show animation loadder', 'bloom'),
                'subtitle' => esc_html__('Show animation loader', 'bloom'),
                'default' => true
            ),
            
            

            
            array(
                'id' => 'all_image_popup',
                'type' => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title' => esc_html__('Click on image to open popup?', 'bloom'),
                'default' => false
            ),
            


            
            
            
        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('AJAX Page Transition', 'bloom'),
        'id'         => 'page-transition',
        'subsection' => false,
        
        'icon'       => 'fa fa-recycle',
        'fields' => array(
                array(
                    'id' => 'enable_ajax_transition',
                    'type' => 'switch',
                    'on'=> esc_html__('Yes','bloom'),
                    'off'=> esc_html__('No','bloom'),
                    'title' => esc_html__('Enable Ajax Page Transition', 'bloom'),
                    'default' => false
                ),

                
            ),
    ));

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Header', 'bloom'),
        'id'         => 'header-settings',
        'subsection' => false,
        
        'icon'       => 'fa fa-header',
        'fields' => array(
            array(
                'id' => 'topbar_socials',
                'type' => 'ace_editor',
                'title' => esc_html__('Topbar Info', 'bloom'),
                'mode'=>'html',
                'full_width'=>false,
                'desc' => '',
                'default' => '<ul>
    <li><span>Mail : </span><a href="#">yourmail@domain.com</a></li>
    <li><span>Phone : </span><a href="#">+7(111)123456789</a></li>
</ul>',
            ),

        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Footer', 'bloom'),
        'id'         => 'footer-settings',
        'subsection' => false,
        
        'icon'       => 'el-icon-pencil',
        'fields' => array( 

            array(
                'id' => 'footer_content',
                'type' => 'ace_editor',
                'title' => esc_html__('Footer Content', 'bloom'),
                'mode'=>'html',
                'full_width'=>false,
                'default' => '<div class="policy-box">
    <span>&#169; Bloom 2017  /  All rights reserved. </span>
</div>
<div class="footer-social">
    <ul>
        <li><a href="#" target="_blank" ><i class="fa fa-facebook"></i><span>facebook</span></a></li>
        <li><a href="#" target="_blank"><i class="fa fa-twitter"></i><span>twitter</span></a></li>
        <li><a href="#" target="_blank" ><i class="fa fa-instagram"></i><span>instagram</span></a></li>
        <li><a href="#" target="_blank" ><i class="fa fa-pinterest"></i><span>pinterest</span></a></li>
        <li><a href="#" target="_blank" ><i class="fa fa-tumblr"></i><span>tumblr</span></a></li>
    </ul>
</div>',
            ), 

        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Media', 'bloom'),
        'id'         => 'thumbnail_images',
        'subsection' => false,
        'desc'       => wp_kses(__( '<p>These settings affect the display and dimensions of images in your pages.</p>
            <p><em> Enter 9999 as Width value and uncheck Hard Crop to make your thumbnail dynamic width.</em></p>
            <p><em> Enter 9999 as Height value and uncheck Hard Crop to make your thumbnail dynamic height.</em></p>
            <p><em> Enter 9999 as Width and Height values to use full size image.</em></p>
After changing these settings you may need to ', 'bloom' ), array('p'=>array(),'a'=>array('class'=>array(),'href'=>array(),'target'=>array(),),'strong'=>array(),'em'=>array(),) ) .'<a href="'.esc_url('http://wordpress.org/extend/plugins/regenerate-thumbnails/' ).'" target="_blank">regenerate your thumbnails</a>',
        'icon'       => 'el-icon-picture',
        'fields' => array(
            array(
                'id' => 'enable_custom_sizes',
                'type' => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title' => esc_html__('Enable Custom Image Sizes', 'bloom'),
                'default' => false
            ), 

            array(
                'id'       => 'fullscreen_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Home Fullscreen Thumbnail Size', 'bloom'),
                'subtitle' => esc_html__('Demo: Width - 9999, Height - 9999, Hard crop - check', 'bloom'),
                'default'  => array(
                    'width'   => '9999', 
                    'height'  => '9999',
                    'hard_crop'  => 1
                ),
            ),


            
            array(
                'id'       => 'horizontal_slider_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Horizontal Size', 'bloom'),
                'subtitle' => esc_html__('Demo: Width - 9999, Height - 531, Hard crop - uncheck', 'bloom'),
                'default'  => array(
                    'width'   => '9999', 
                    'height'  => '531',
                    'hard_crop'  => 0
                ),
            ),

            

            array(
                'id'       => 'galmasonry_thumbnail_size_one',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Portfolio Masonry Size One', 'bloom'),
                'subtitle' => esc_html__('Demo: Width - 308, Height - 204, Hard crop - check', 'bloom'),
                'default'  => array(
                    'width'   => '308', 
                    'height'  => '204',
                    'hard_crop'  => 1
                ),
            ),
            array(
                'id'       => 'galmasonry_thumbnail_size_two',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Portfolio Masonry Size Two', 'bloom'),
                'subtitle' => esc_html__('Demo: Width - 616, Height - 408, Hard crop - check', 'bloom'),
                'default'  => array(
                    'width'   => '616', 
                    'height'  => '408',
                    'hard_crop'  => 1
                ),
            ),

            array(
                'id'       => 'galmasonry_thumbnail_size_three',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Portfolio Masonry Size Three', 'bloom'),
                'subtitle' => esc_html__('Demo: Width - 924, Height - 612, Hard crop - check', 'bloom'),
                'default'  => array(
                    'width'   => '924', 
                    'height'  => '612',
                    'hard_crop'  => 1
                ),
            ),

            array(
                'id'       => 'galgrid_thumbnail_size',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Gallery Thumbnail size', 'bloom'),
                'subtitle' => esc_html__('Demo: Width - 308, Height - 9999, Hard crop - uncheck', 'bloom'),
                'default'  => array(
                    'width'   => '308', 
                    'height'  => '9999',
                    'hard_crop'  => 0
                ),
            ),

            

            
            array(
                'id'       => 'team_member_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Member Thumbnail Size', 'bloom'),
                'subtitle' => esc_html__('Demo: Width - 255, Height - 170, Hard crop - check', 'bloom'),
                'default'  => array(
                    'width'   => '255', 
                    'height'  => '170',
                    'hard_crop'  => 1
                ),
            ),




            array(
                'id'       => 'blog_image_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Blog Thumbnail Size', 'bloom'),
                'subtitle' => esc_html__('Demo: Width - 497, Height - 330, Hard crop - check', 'bloom'),
                'default'  => array(
                    'width'   => '497', 
                    'height'  => '330',
                    'hard_crop'  => 1
                ),
            ),

            array(
                'id'       => 'blog_image_large_thumb',
                'type'     => 'thumbnail_size',
                'title' => esc_html__('Blog Single Size', 'bloom'),
                'subtitle' => esc_html__('Demo: Width - 9999, Height - 9999, Hard crop - check', 'bloom'),
                'default'  => array(
                    'width'   => '9999', 
                    'height'  => '9999',
                    'hard_crop'  => 1
                ),
            ),


        ),
    ) );

    
    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Colors', 'bloom'),
        'id'         => 'styling-settings',
        'subsection' => false,
        
        'icon'       => 'el-icon-magic',
        'fields' => array(
            array(
                'id'       => 'color-preset',
                'type'     => 'image_select',
                'title'    => esc_html__( 'Theme Color', 'bloom' ),
                'options'  => array(
                    'light' => array(
                        'alt' => 'Light',
                        'title' => 'Light',
                        'img' => get_template_directory_uri(). '/functions/assets/default.png'
                    ),
                    'dark' => array(
                        'alt' => 'Dark',
                        'title' => 'Dark',
                        'img' => get_template_directory_uri(). '/functions/assets/skin1.png'
                    ),
                    
                    
                    
                    
                ),
                'default'  => 'light'
            ),

            array(
                'id' => 'override-preset',
                'type' => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title' => esc_html__('Use Custom Color', 'bloom'),
                'subtitle' => wp_kses(__('Set this option to <b>Yes</b> if you want to use color variants bellow.', 'bloom'), array('b'=>array(),'strong'=>array(),'p'=>array()) ),
                'default' => false
            ),

            array(         
                'id'       => 'main-bg-color',
                'type'     => 'color',
                'title'    => esc_html__('Body Background', 'bloom'),
                'subtitle' => esc_html__('Body/Preloader Background Color (default: #ffffff).', 'bloom'),
                'default'  => '#ffffff',
            ),

            array(
                'id' => 'main-theme-color',
                'type' => 'color',
                'title' => esc_html__('Theme Text Color', 'bloom'),
                'transparent'      => false,
                
                'subtitle' => esc_html__('Theme text color (default: #000000).', 'bloom'),
                'default' => '#000000',
                'validate' => 'color',
            ),

            //https://docs.reduxframework.com/core/fields/link-color/
            array(
                'id'       => 'hyperlink-text-color',
                'type'     => 'link_color',
                'title'    => esc_html__('Hyperlink Text Color', 'bloom'),
                'default'  => array(
                    'regular'  => '#000000', 
                    'hover'    => '#000000', 
                    'active'   => '#000000',  
                      
                ),
                'visited' => false
            ),


            array(
                'id' => 'paragraph-color',
                'type' => 'color',
                'title' => esc_html__('Paragraph Color', 'bloom'),
                'subtitle' => esc_html__('Paragraph (default: #000000).', 'bloom'),
                'default' => '#000000',
                'validate' => 'color',
                'transparent' => false
            ),

            

            
            array(
                'id' => 'header-color',
                'type' => 'color',
                'title' => esc_html__('Header Bg Color', 'bloom'),
                'subtitle' => esc_html__('Header Background Color (default: #ffffff).', 'bloom'),
                'default'   => '#ffffff',
                'validate' => 'color',
            ),
            

            array(
                'id'       => 'main-nav-menu-color',
                'type'     => 'link_color',
                'title'    => esc_html__('Main Menu Color', 'bloom'),
                'default'  => array(
                    'regular'  => '#404040', 
                    'hover'    => '#999999', 
                    'active'   => '#999999',   
                ),
                'visited' => false
            ),

            array(
                'id' => 'active-menu-bg-color',
                'type' => 'color',
                'title' => esc_html__('Active Menu Indicator Color', 'bloom'),
                'subtitle' => esc_html__('Background color for active menu indicator. (default: #cccccc).', 'bloom'),
                'default' => '#cccccc',
                'validate' => 'color',
                'transparent' => false
            ),




            array(
                'id' => 'footer-bg-color',
                'type' => 'color',
                'title' => esc_html__('Footer Background Color', 'bloom'),
                'subtitle' => esc_html__('Footer Background Color (default: #ffffff).', 'bloom'),
                'default'   => '#ffffff',
                'validate' => 'color',
            ),

            array(
                'id' => 'theme-loader-color',
                'type' => 'color',
                'title' => esc_html__('Loader Color', 'bloom'),
                'transparent'      => false,
                
                'subtitle' => esc_html__('Default: #cccccc', 'bloom'),
                'default' => '#cccccc',
                'validate' => 'color',
            ),
            

        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Fonts', 'bloom'),
        'id'         => 'font-settings',
        'subsection' => false,
        'icon'       => 'el-icon-font',
        'fields' => array(
            
            array(
                'id' => 'body-font',
                'type' => 'typography',
                'output' => array('body'),
                'title' => esc_html__('Body Font', 'bloom'),
                'subtitle' => wp_kses(__('<p>Specify the body font properties.</br> Default </br>font-family: Questrial </br>font-size: 12px </br>font-weight: 400</p>', 'bloom'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,

                'font-size' => false,
                'font-weight'=>false,
                'font-style'=>false,
                'line-height'=>false,
                'text-align'=>false,
            ),
            array(
                'id' => 'hyperlink-font',
                'type' => 'typography',
                'output' => array('a'),
                'title' => esc_html__('Hyperlink Font', 'bloom'),
                'subtitle' => wp_kses(__('<p>Hyperlink font properties.</br> Default </br>font-family: Questrial </br>font-size: 12px </br>font-weight: 400</p>', 'bloom'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,

                'font-size' => false,
                'font-weight'=>false,
                'font-style'=>false,
                'line-height'=>false,
                'text-align'=>false,
                
            ),
            array(
                'id' => 'hyperlink-hover-font',
                'type' => 'typography',
                'output' => array('a:hover'),
                'title' => esc_html__('Hyperlink Hover Font', 'bloom'),
                'subtitle' => wp_kses(__('<p>Hyperlink hover font properties.</br> Default </br>font-family: Questrial </br>font-size: 12px </br>font-weight: 400</p>', 'bloom'),array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,

                'font-size' => false,
                'font-weight'=>false,
                'font-style'=>false,
                'line-height'=>false,
                'text-align'=>false,
               
            ),
            array(
                'id' => 'paragraph-font',
                'type' => 'typography',
                'output' => array('p'),
                'title' => esc_html__('Paragraph Font', 'bloom'),
                'subtitle' => wp_kses(__('<p>Specify paragraph font properties. Default </br>font-family: Questrial </br>font-size: 13px </br>line-height: 24px</br>font-weight: 400</p>', 'bloom'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,

                'font-size' => false,
                'font-weight'=>false,
                'font-style'=>false,
                'line-height'=>false,
                'text-align'=>false,
            ),

            array(
                'id' => 'header-font',
                'type' => 'typography',
                'output' => array('h1, h2, h3, h4, h5, h6'),
                'title' => esc_html__('Title-Header Font', 'bloom'),
                'subtitle' => wp_kses(__('<p>Specify the title and heading font properties.</br> Default </br>font-family: Questrial</p>', 'bloom'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'font-size'=> false,
                'line-height'=> true,
                'color'=> false,

                'font-size' => false,
                'font-weight'=>false,
                'font-style'=>false,
                'line-height'=>false,
                'text-align'=>false,
            ),
            array(
                'id' => 'bloom-second-font',
                'type' => 'typography',
                'output' => array('.num-holder2,.thecomment .comment-text span.author, .comment-text span.author a,#respond h3 ,.password-page-content h2,.back-link h2'),
                'title' => esc_html__('Bloom Bolder/Italic Font', 'bloom'),
                'subtitle' => wp_kses(__('<p>This is bolder font used in the theme. Default </br>font-family: Montserrat</p>', 'bloom'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'font-weight'=> false,
                'font-style'=> false,
                'font-size'=> false,
                'line-height'=> false,
                'color'=> false,
                'text-align'=> false,


            ),
            array(
                'id' => 'bloom-third-font',
                'type' => 'typography',
                'output' => array('blockquote p,.header-info ul li  span,.nav-button .nav-text,.hero-item p,.section-title h2 span,.section-title h4,.serv-item  span,.custom-skillbar-title span,.thumb-info p,.fixed-filter .gallery-filters a,.show-thumbs,.show-info,.port-fixed-link,.contact-list li span,.contact-list li a,.share-holder  span,.art-date ,.art-com, .art-author , .blog-cat li, .post-categories li,.blog-nav  a  span.art-nav-it,.single-post-tags a,.post-author-wrap span,.thecomment .comment-text span.date,#respond #submit,.password-input, .search-input,.main-sidebar-widget .tagcloud a,.back-link span,.password-page-content p,.logo-holder-landing h3,.notifer,.inf-mob-btn span'),
                'title' => esc_html__('Bloom Theme Italic Font', 'bloom'),
                'subtitle' => wp_kses(__('<p>Theme italic font. Default </br>font-family: Libre Baskerville </br>font-style: italic</p>', 'bloom'), array( 'br'=>array(),'p'=>array(), ) ),
                'google' => true,
                'subsets'=> true,
                'color'=> false,

                'font-size' => false,
                'font-weight'=>false,
                'font-style'=>false,
                'line-height'=>false,
                'text-align'=>false,
            ),
            
            
            
        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Social Share', 'bloom'),
        'id'         => 'social-share-settings',
        'subsection' => false,
        
        'icon'       => 'el-icon-share',
        'fields' => array(
            array(
                'id' => 'share_names',
                'type' => 'text',
                'title' => esc_html__('Share Names', 'bloom'),
                'subtitle' => 'Enter your social share names separated by a comma.<br> List bellow are available name:<strong><br> facebook,twitter,linkedin,in1,tumblr,<br>digg,googleplus,reddit,pinterest<br>,stumbleupon,email,vk</strong>',
                
                'default' => "facebook,pinterest,googleplus,twitter,linkedin",
            ),
        ),
    ) );
    
    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Portfolio', 'bloom'),
        'desc' => esc_html__('Config Header, Footer and Layout for portfolio archive page. Effected pages are: ', 'bloom').'<br>'.esc_html__('Portfolio List page: ', 'bloom').'<a href="'.esc_url(home_url('/?post_type=portfolio' )).'" target="_blank">'.esc_url(home_url('/?post_type=portfolio' )).'</a><br>'.esc_html__('Portfolio List page: ', 'bloom').'<a href="'.esc_url(home_url('/portfolio/' )).'" target="_blank">'.esc_url(home_url('/portfolio/' )).'</a><br>'.esc_html__('Portfolio Category page: ', 'bloom').'<a href="'.esc_url(home_url('/portfolio_cat/nature/' )).'" target="_blank">'.esc_url(home_url('/portfolio_cat/nature/' )).'</a>',
        'id'         => 'portfolio-settings',
        'subsection' => false,
        'icon'       => 'el-icon-briefcase',
        'fields' => array(

            

            array(
                'id'       => 'show_folio_header',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Portfolio Header', 'bloom' ),
                'default'  => true,
            ),
            array(
                    'id' => 'folio_home_text',
                    'type' => 'text',
                    'title' => esc_html__('Portfolio Heading Text', 'bloom'),
                    'default' => 'Our Portfolio'
                ),
            array(
                    'id' => 'folio_home_text_intro',
                    'type' => 'textarea',
                    'title' => esc_html__('Portfolio Intro Text', 'bloom'),
                    'default' => '<h4>Integer cursus bibendum augue ac cursus.</h4>'
                ),
            array(
                'id' => 'folio_header_image',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Right Column Image', 'bloom'),
                'default' => array('url' => get_template_directory_uri().'/images/bg/15.jpg'),
            ),

            array(
                'id' => 'folio_layout',
                'type' => 'select',
                'title' => esc_html__('Portfolio Layout', 'bloom'),

                'options' => array(
                                'hoz' => esc_html__('Horizontal','bloom'),
                                'ver' => esc_html__('Masonry','bloom'),
                                //'grid' => esc_html__('Grid','bloom'),
                                'columns' => esc_html__('Right Image','bloom'),
                 ), //Must provide key => value pairs for select options
                'default' => 'ver'
            ),

            array(
                'id' => 'folio_grid_content_width',
                'type' => 'select',
                'title' => esc_html__('Content Width', 'bloom'),
                'options' => array(
                                'boxed-container' => esc_html__( 'Normal', 'bloom' ), 
                                'wide-container' => esc_html__( 'Wide', 'bloom' ),
                                'full-container' => esc_html__( 'Fullwidth', 'bloom' ), 
                            ), //Must provide key => value pairs for select options
                'default' => 'wide-container',
                'subtitle' => esc_html__( 'Use for Masonry and Grid layouts.', 'bloom' ),
            ),

            array(
                'id' => 'folio_column',
                'type' => 'select',
                'title' => esc_html__('Portfolio Columns', 'bloom'),
                'desc' => esc_html__('Vertical columns for Horizontal layout', 'bloom'),
                'options' => array('five' => 'Five Columns','four' => 'Four Columns', 'three' => 'Three Columns','two' => 'Two Columns', 'one' => 'One Column'), //Must provide key => value pairs for select options
                'default' => 'three'
            ),
            

            


            
            array(
                'id'       => 'folio_posts_per_page',
                'type'     => 'text',
                'title'    => esc_html__( 'Posts per page', 'bloom' ),
                'subtitle' => esc_html__( 'Number of post to show per page, -1 to show all posts.', 'bloom' ),
                'desc' => esc_html__( 'To use Loadmore or Infinit scroll to load features you have set this value less than total portfolio items number.', 'bloom' ),
                'default'  => 5,
            ),
            
            array(
                'id' => 'folio_archive_orderby',
                'type' => 'select',
                'title' => esc_html__('Order Portfolio By', 'bloom'),
                'options' => array(
                                'none' => esc_html__( 'None', 'bloom' ), 
                                'ID' => esc_html__( 'Post ID', 'bloom' ), 
                                'author' => esc_html__( 'Post Author', 'bloom' ),
                                'title' => esc_html__( 'Post title', 'bloom' ), 
                                'name' => esc_html__( 'Post name (post slug)', 'bloom' ),
                                'date' => esc_html__( 'Created Date', 'bloom' ),
                                'modified' => esc_html__( 'Last modified date', 'bloom' ),
                                'parent' => esc_html__( 'Post Parent id', 'bloom' ),
                                'rand' => esc_html__( 'Random', 'bloom' ),
                            ), //Must provide key => value pairs for select options
                'default' => 'date'
            ),
            array(
                'id' => 'folio_archive_order',
                'type' => 'select',
                'title' => esc_html__('Order Portfolio', 'bloom'),
                'options' => array(
                                'DESC' => esc_html__( 'Descending', 'bloom' ),
                                'ASC' => esc_html__( 'Ascending', 'bloom' ), 
                                
                            ), //Must provide key => value pairs for select options
                'default' => 'DESC'
            ),
            
            array(
                'id' => 'folio_pad',
                'type' => 'select',
                'title' => esc_html__('Spacing', 'bloom'),
                'subtitle' => esc_html__('The space between portfolio grid items.', 'bloom'),
                'desc' => '',
                'options' => array(
                                'extrasmall' => esc_html__('Extra Small','bloom'), 
                                'small' => esc_html__('Small','bloom'), 
                                'medium' =>  esc_html__('Medium','bloom'),
                                'big' =>  esc_html__('Big','bloom'),
                                'none' =>  esc_html__('None','bloom'),
                            ), //Must provide key => value pairs for select options
                'default' => 'small'
            ),
            
            array(
                'id'       => 'folio_show_excerpt',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Post Excerpt', 'bloom' ),
                'default'  => false,
            ),

            array(
                'id'       => 'folio_show_cat_grid',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Categories', 'bloom' ),
                'default'  => true,
            ),


            array(
                'id'       => 'folio_show_readmore',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Read More', 'bloom' ),
                'default'  => true,
            ),

            array(
                'id'       => 'folio_enable_gallery',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Enable Gallery', 'bloom' ),
                'default'  => true,
            ),

            array(
                'id' => 'folio_after_grid_content',
                'type' => 'ace_editor',
                'title' => esc_html__('After Grid Content', 'bloom'),
                'mode'=>'html',
                'full_width'=>false,
                'default' => '<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>
<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt.</p>',
            ), 

            array(
                'id'       => 'show_folio_footer',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Portfolio Footer', 'bloom' ),
                'desc' => esc_html__('Set this to No for Horizontal portfolio layout.', 'bloom'),
                'default'  => true,
            ),


            
        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Filter / Counter Options', 'bloom'),
        'id'         => 'folio-filter-optons',
        'subsection' => true,
        'fields' => array(

            
            array(
                'id'       => 'folio_show_filter',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Filter', 'bloom' ),
                'default'  => true,
            ),

            array(
                'id' => 'folio_grid_filter_width',
                'type' => 'select',
                'title' => esc_html__('Filter Width', 'bloom'),
                'options' => array(
                                'nor-container' => esc_html__( 'Normal', 'bloom' ), 
                                'big-container' => esc_html__( 'Wide', 'bloom' ),
                                'full-container' => esc_html__( 'Fullwidth', 'bloom' ), 
                            ), //Must provide key => value pairs for select options
                'default' => 'big-container',
                'subtitle' => esc_html__( 'Use for Masonry and Grid layouts.', 'bloom' ),
            ),

            array(
                'id' => 'folio_filter_orderby',
                'type' => 'select',
                'title' => esc_html__('Order Filter By', 'bloom'),
                'options' => array(
                                'id' => esc_html__( 'ID', 'bloom' ), 
                                'count' => esc_html__( 'Count', 'bloom' ),
                                'name' => esc_html__( 'Name', 'bloom' ), 
                                'slug' => esc_html__( 'Slug', 'bloom' ),
                                'none' => esc_html__( 'None', 'bloom' )
                            ), //Must provide key => value pairs for select options
                'default' => 'name'
            ),
            array(
                'id' => 'folio_filter_order',
                'type' => 'select',
                'title' => esc_html__('Order Filter', 'bloom'),
                'options' => array(
                                'ASC' => esc_html__( 'Ascending', 'bloom' ), 
                                'DESC' => esc_html__( 'Descending', 'bloom' ),
                            ), //Must provide key => value pairs for select options
                'default' => 'ASC'
            ),

            array(
                'id'       => 'folio_show_counter',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Counter', 'bloom' ),
                'default'  => true,
            ),

              
        ),
    ));

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Pagination / Loadmore Options', 'bloom'),
        'id'         => 'folio-pagination-lmore-optons',
        'subsection' => true,
        'fields' => array(

            
            
            array(
                'id'       => 'folio_show_loadmore',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Load More - for Horizontal layout only', 'bloom' ),
                'default'  => true,
            ),

            array(
                'id'       => 'folio_use_pagi_infinite',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Use Infinite scroll?', 'bloom' ),
                'subtitle' => esc_html__( 'Items will be added automatically when scroll down to the page bottom. For Grid and Masonry layouts.', 'bloom' ),
                'default'  => true,
            ),

            array(
                'id'       => 'folio_loadmore_items',
                'type'     => 'text',
                'title'    => esc_html__( 'Load more items', 'bloom' ),
                'subtitle' => esc_html__( 'Number of posts to get on each additional load (Load more and infinite scroll).', 'bloom' ),
                'default'  => 3,
            ),

            array(
                'id'       => 'folio_show_pagination',
                'type'     => 'switch',
                'on'=> esc_html__('Yes','bloom'),
                'off'=> esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Pagination - For Grid and Masonry layouts', 'bloom' ),
                'default'  => false,
            ),

              
        ),
    ));


    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Blog', 'bloom'),
        'id'         => 'blog-settings',
        'subsection' => false,
        
        'icon'       => 'fa fa-newspaper-o',
        'fields' => array(
            
            array(
                'id'       => 'show_blog_header',
                'type'     => 'switch',
                'on'=> esc_html__('Yes', 'bloom'),
                'off'=> esc_html__('No', 'bloom'),
                'title'    => esc_html__( 'Show Header', 'bloom' ),
                'default'  => true,
            ),

            array(
                    'id' => 'blog_home_text',
                    'type' => 'text',
                    'title' => esc_html__('Blog Home Text', 'bloom'),
                    'default' => 'Our Journal'
                ),
            array(
                    'id' => 'blog_home_text_intro',
                    'type' => 'textarea',
                    'title' => esc_html__('Blog Intro Text', 'bloom'),
                    'default' => '<h4>  Integer cursus bibendum augue ac cursus .</h4>'
                ),

            array(
                'id' => 'blog-grid-style',
                'type' => 'select',
                'title' => esc_html__('Blog Style', 'bloom'),
                'options' => array(
                                
                                'list' => esc_html__('Normal', 'bloom'),
                                'columns' => esc_html__('Right Image column', 'bloom'),
                 ), //Must provide key => value pairs for select options
                'default' => 'list'
            ),
            array(
                'id' => 'blog_header_image',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Blog Right Image', 'bloom'),
                'subtitle' => esc_html__( 'For blog Right Image column style only', 'bloom' ),
                'default' => array('url' => get_template_directory_uri().'/images/bg/15.jpg'),
            ),

            array(
                'id' => 'blog-grid-width',
                'type' => 'select',
                'title' => esc_html__('Blog Width', 'bloom'),
                'subtitle' => esc_html__( 'For blog Normal style only', 'bloom' ),
                'options' => array(
                                'blog-normal' => esc_html__('Boxed', 'bloom'),
                                'blog-wide' => esc_html__('Wide', 'bloom'),
                                'blog-fullwidth' => esc_html__('Fullwidth', 'bloom'),
                 ), //Must provide key => value pairs for select options
                'default' => 'blog-normal'
            ),
            
            array(
                    'id'       => 'blog_layout',
                    'type'     => 'image_select',
                    'title'    => esc_html__( 'Blog Sidebar Layout', 'bloom' ),
                    'subtitle' => esc_html__( 'Select main content and sidebar layout. For blog Normal style only', 'bloom' ),
                    'options'  => array(
                        'fullwidth' => array(
                            'alt' => 'Fullwidth',
                            'img' => ReduxFramework::$_url . 'assets/img/1col.png'
                        ),
                        'left_sidebar' => array(
                            'alt' => 'Left Sidebar',
                            'img' => ReduxFramework::$_url . 'assets/img/2cl.png'
                        ),
                        'right_sidebar' => array(
                            'alt' => 'Right Sidebar',
                            'img' => ReduxFramework::$_url . 'assets/img/2cr.png'
                        ),
                        
                    ),
                    'default'  => 'right_sidebar'
                ),

            array(
                'id' => 'blog-sidebar-width',
                'type' => 'select',
                'title' => esc_html__('Blog Sidebar Width', 'bloom'),
                'subtitle' => esc_html__( 'Based on Bootstrap 12 columns. For blog Normal style only', 'bloom' ),
                'options' => array(
                                '2' => esc_html__('2 Columns', 'bloom'),
                                '3' => esc_html__('3 Columns', 'bloom'),
                                '4' => esc_html__('4 Columns', 'bloom'),
                                '5' => esc_html__('5 Columns', 'bloom'),
                                '6' => esc_html__('6 Columns', 'bloom'),
                 ), //Must provide key => value pairs for select options
                'default' => '4'
            ),

            

            


            array(
                'id'       => 'blog_list_show_format',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Post Format on blog grid', 'bloom' ),
                'default'  => false,
            ),

            array(
                'id'       => 'blog_list_share',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Share', 'bloom' ),
                'default'  => false,
            ),

            array(
                'id'       => 'blog_author',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Author', 'bloom' ),
                'default'  => true,
            ),
            
            array(
                'id'       => 'blog_date',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Date', 'bloom' ),
                'default'  => true,
            ),
            
            array(
                'id'       => 'blog_cats',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Categories', 'bloom' ),
                'default'  => true,
            ),
            array(
                'id'       => 'blog_tags',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Tags', 'bloom' ),
                'default'  => true,
            ),
            
            array(
                'id'       => 'blog_comments',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Comments', 'bloom' ),
                'default'  => true,
            ),

            

        ),
    ) );


    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Blog Single', 'bloom'),
        'id'         => 'blog-single-optons',
        'subsection' => true,
        'fields' => array(

            array(
                'id' => 'blog-single-width',
                'type' => 'select',
                'title' => esc_html__('Blog Single Width', 'bloom'),
                'options' => array(
                                'blog-normal' => esc_html__('Boxed', 'bloom'),
                                'blog-wide' => esc_html__('Wide', 'bloom'),
                                'blog-fullwidth' => esc_html__('Fullwidth', 'bloom'),
                 ), //Must provide key => value pairs for select options
                'default' => 'blog-normal'
            ),
            
            array(
                'id' => 'blog-single-sidebar-width',
                'type' => 'select',
                'title' => esc_html__('Single Sidebar Width', 'bloom'),
                'subtitle' => esc_html__( 'Based on Bootstrap 12 columns.', 'bloom' ),
                'options' => array(
                                '2' => esc_html__('2 Columns', 'bloom'),
                                '3' => esc_html__('3 Columns', 'bloom'),
                                '4' => esc_html__('4 Columns', 'bloom'),
                                '5' => esc_html__('5 Columns', 'bloom'),
                                '6' => esc_html__('6 Columns', 'bloom'),
                 ), //Must provide key => value pairs for select options
                'default' => '4'
            ),

            array(
                'id'       => 'blog_single_title',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Title', 'bloom' ),
                'default'  => false,
            ),
            array(
                'id'       => 'blog_featured_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Featured image', 'bloom' ),
                'default'  => true,
            ),
            
            array(
                'id'       => 'blog_date_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Date', 'bloom' ),
                'default'  => true,
            ),
            array(
                'id'       => 'blog_author_meta',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Author', 'bloom' ),
                'default'  => true,
            ),
            array(
                'id'       => 'blog_cats_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Categories', 'bloom' ),
                'default'  => true,
            ),
            array(
                'id'       => 'blog_comments_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Comments', 'bloom' ),
                'default'  => true,
            ),
            array(
                'id'       => 'blog_tags_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Tags', 'bloom' ),
                'default'  => true,
            ),

            array(
                'id'       => 'blog_author_single',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show Author Block', 'bloom' ),
                'default'  => true,
            ),

            array(
                'id'        => 'blog_show_share',
                'type'      => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'     => esc_html__( 'Show Share Post', 'bloom' ),
                'default'  => true,
            ),
            
            array(
                'id'       => 'blog_single_navigation',
                'type'     => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'    => esc_html__( 'Show posts navigation', 'bloom' ),
                'default'  => true,
            ),
            array(
                'id'        => 'blog_single_nav_same_term',
                'type'      => 'switch',
                'on'        => esc_html__('Yes','bloom'),
                'off'       => esc_html__('No','bloom'),
                'title'     => esc_html__( 'Next/Prev posts should be in same category', 'bloom' ),
                'default'  => false,
            ),
            array(
                'id' => 'blog_list_link',
                'type' => 'text',
                'title' => esc_html__('Blog List Link', 'bloom'),
                'desc' => esc_html__('Link for blog list icon on single blog post page.', 'bloom'),
                'default' => ''
            ),


              
        ),
    ));


    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Protected Post Page Options', 'bloom'),
        'id'         => 'protected_post_page_options',
        'subsection' => false,
        'icon'       => 'fa fa-lock',
        'fields' => array(
            
            array(
                'id' => 'password_page_bg',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('Background Image', 'bloom'),
                'desc' => esc_html__('This background image will be used in protected post page.', 'bloom'),
                'default' => array('url' => get_template_directory_uri().'/images/bg/12.jpg'),
            ),
            array(
                'id' => 'password_page_intro',
                'type' => 'textarea',
                'title' => esc_html__('Additional Message', 'bloom'),
                'default' => ''
            ),
            array(
                'id' => 'password_page_home_link',
                'type' => 'text',
                'title' => esc_html__('Back Home Link', 'bloom'),
                'default' => esc_url( home_url('/' ) )
            ),
            
            
        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('404 Page', 'bloom'),
        'id'         => '404-intro-text-settings',
        'subsection' => false,
        'icon'       => 'fa fa-info-circle',
        'fields' => array(
            
            array(
                'id' => 'bg404',
                'type' => 'media',
                'url' => true,
                'title' => esc_html__('404 Page Background Image', 'bloom'),
                'desc' => esc_html__('This image will be used for background image in 404 page.', 'bloom'),
                'default' => array('url' => get_template_directory_uri().'/images/bg/12.jpg'),
            ),
            array(
                'id' => '404_intro',
                'type' => 'textarea',
                'title' => esc_html__('404 Page Message', 'bloom'),
                
                'default' => 'Page you are looking for - Not found'
            ),
            array(
                'id' => 'back_home_link',
                'type' => 'text',
                'title' => esc_html__('Back Home Link', 'bloom'),
                'default' => esc_url( home_url('/' ) )
            ),
            
            
        ),
    ) );

    Redux::setSection( $opt_name, array(
        'title' => esc_html__('Custom Code', 'bloom'),
        'id'         => 'custom-code',
        'subsection' => false,
        'desc'       => esc_html__( 'You can use Firebug - Firefox add-on to adjust your WordPress site\'s style. For more detail please read this tutorial:', 'bloom' ) .'<a href="'.esc_url('https://www.tipsandtricks-hq.com/how-to-use-firebug-to-modify-your-wordpress-sites-css-video-tutorial-4037').'" target="_blank">How to Use Firebug to Modify Your WordPress Site\'s CSS (Video Tutorial)</a>',
        'icon'       => 'fa fa-css3',
        'fields' => array(
            array(
                'id' => 'custom-css',
                'type' => 'ace_editor',
                'title' => esc_html__('CSS Code - Large Desktop View', 'bloom'),
                'subtitle' => esc_html__('Paste your CSS code here.', 'bloom'),
                'mode' => 'css',

                'full_width'=>false,
                'theme' => 'monokai',
                'default' => ""
            ),
            array(
                'id' => 'custom-css-medium',
                'type' => 'ace_editor',
                'title' => esc_html__('CSS Code - Medium Desktop View', 'bloom'),
                'subtitle' => esc_html__('Paste your CSS code here.', 'bloom'),
                'mode' => 'css',
                'full_width'=>false,
                'theme' => 'monokai',
                'default' => ""
            ),
            array(
                'id' => 'custom-css-tablet',
                'type' => 'ace_editor',
                'title' => esc_html__('CSS Code - Tablet View', 'bloom'),
                'subtitle' => esc_html__('Paste your CSS code here.', 'bloom'),
                'mode' => 'css',
                'full_width'=>false,
                'theme' => 'monokai',
                'default' => ""
            ),
            array(
                'id' => 'custom-css-mobile',
                'type' => 'ace_editor',
                'title' => esc_html__('CSS Code - Mobile View', 'bloom'),
                'subtitle' => esc_html__('Paste your CSS code here.', 'bloom'),
                'mode' => 'css',
                'full_width'=>false,
                'theme' => 'monokai',
                'default' => ""
            ),
            
        ),
    ) );

    /*
     * <--- END SECTIONS
     */

    /*
     *
     * YOU MUST PREFIX THE FUNCTIONS BELOW AND ACTION FUNCTION CALLS OR ANY OTHER CONFIG MAY OVERRIDE YOUR CODE.
     *
     */

    /*
    *
    * --> Action hook examples
    *
    */

    // If Redux is running as a plugin, this will remove the demo notice and links
    // add_action( 'redux/loaded', 'remove_demo' );


    add_filter( "redux/" . $opt_name . "/field/class/thumbnail_size", "overload_thumbnail_size_field_path" ); // Adds the local field

    function overload_thumbnail_size_field_path($field) {

        return get_template_directory().'/includes/redux_add_fields/field_thumbnail_size.php';
    }

    function newPanelIconFont() {
        // Uncomment this to remove elusive icon from the panel completely
     
        wp_register_style(
            'redux-font-awesome',
            get_template_directory_uri().'/css/font-awesome-redux-panel.min.css',
            array(),
            time(),
            'all'
        );  
        wp_enqueue_style( 'redux-font-awesome' );
    }
    // This example assumes the opt_name is set to redux_demo.  Please replace it with your opt_name value.
    add_action( "redux/page/" . $opt_name . "/enqueue", 'newPanelIconFont' );


    /**
     * This is a test function that will let you see when the compiler hook occurs.
     * It only runs if a field    set with compiler=>true is changed.
     * */
    if ( ! function_exists( 'compiler_action' ) ) {
        function compiler_action( $options, $css, $changed_values ) {
            echo '<h1>The compiler hook has run!</h1>';
            echo "<pre>";
            print_r( $changed_values ); // Values that have changed since the last save
            echo "</pre>";
        }
    }

    /**
     * Custom function for the callback validation referenced above
     * */
    if ( ! function_exists( 'redux_validate_callback_function' ) ) {
        function redux_validate_callback_function( $field, $value, $existing_value ) {
            $error   = false;
            $warning = false;

            //do your validation
            if ( $value == 1 ) {
                $error = true;
                $value = $existing_value;
            } elseif ( $value == 2 ) {
                $warning = true;
                $value   = $existing_value;
            }

            $return['value'] = $value;

            if ( $error == true ) {
                $return['error'] = $field;
                $field['msg']    = 'your custom error message';
            }

            if ( $warning == true ) {
                $return['warning'] = $field;
                $field['msg']      = 'your custom warning message';
            }

            return $return;
        }
    }

    /**
     * Custom function for the callback referenced above
     */
    if ( ! function_exists( 'redux_my_custom_field' ) ) {
        function redux_my_custom_field( $field, $value ) {
            print_r( $field );
            echo '<br/>';
            print_r( $value );
        }
    }

    /**
     * Custom function for filtering the sections array. Good for child themes to override or add to the sections.
     * Simply include this function in the child themes functions.php file.
     * NOTE: the defined constants for URLs, and directories will NOT be available at this point in a child theme,
     * so you must use get_template_directory_uri() if you want to use any of the built in icons
     * */
    if ( ! function_exists( 'dynamic_section' ) ) {
        function dynamic_section( $sections ) {
            //$sections = array();
            $sections[] = array(
                'title'  => esc_html__( 'Section via hook', 'bloom' ),
                'desc'   => wp_kses(__( '<p class="description">This is a section created by adding a filter to the sections array. Can be used by child themes to add/remove sections from the options.</p>', 'bloom' ),array('p'=>array('class'=>array())) ),
                'icon'   => 'el el-paper-clip',
                // Leave this as a blank section, no options just some intro text set above.
                'fields' => array()
            );

            return $sections;
        }
    }

    /**
     * Filter hook for filtering the args. Good for child themes to override or add to the args array. Can also be used in other functions.
     * */
    if ( ! function_exists( 'change_arguments' ) ) {
        function change_arguments( $args ) {
            //$args['dev_mode'] = true;

            return $args;
        }
    }

    /**
     * Filter hook for filtering the default value of any given field. Very useful in development mode.
     * */
    if ( ! function_exists( 'change_defaults' ) ) {
        function change_defaults( $defaults ) {
            $defaults['str_replace'] = 'Testing filter hook!';

            return $defaults;
        }
    }

    /**
     * Removes the demo link and the notice of integrated demo from the redux-framework plugin
     */
    if ( ! function_exists( 'remove_demo' ) ) {
        function remove_demo() {
            // Used to hide the demo mode link from the plugin page. Only used when Redux is a plugin.
            if ( class_exists( 'ReduxFrameworkPlugin' ) ) {
                remove_filter( 'plugin_row_meta', array(
                    ReduxFrameworkPlugin::instance(),
                    'plugin_metalinks'
                ), null, 2 );

                // Used to hide the activation notice informing users of the demo panel. Only used when Redux is a plugin.
                remove_action( 'admin_notices', array( ReduxFrameworkPlugin::instance(), 'admin_notices' ) );
            }
        }
    }
