<?php
//http://proteusthemes.github.io/one-click-demo-import/
//https://wordpress.org/plugins/one-click-demo-import/

function bloom_import_files() {
  return array(
    array(
      'import_file_name'             => esc_html__('Full Demo Content (widgets included)','bloom' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/bloom-all.xml',
      'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/bloom.wie',
      'import_notice'                => esc_html__( 'After you import this demo, you will have to setup the front-page from Settings -> Reading screen and menu from Appearance -> Menus screen.', 'bloom' ),
    ),

    

    array(
      'import_file_name'             => esc_html__('Posts','bloom' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/posts.xml',
      'import_preview_image_url'     => 'http://assets.cththemes.net/themeforest/inspired/posts.png',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Posts menu', 'bloom' ),
    ),

    array(
      'import_file_name'             => esc_html__('Pages','bloom' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/pages.xml',
      'import_preview_image_url'     => 'http://assets.cththemes.net/themeforest/inspired/pages.png',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Pages menu', 'bloom' ),
    ),

    array(
      'import_file_name'             => esc_html__('Portfolios','bloom' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/portfolios.xml',
      'import_preview_image_url'     => 'http://assets.cththemes.net/themeforest/inspired/portfolios.png',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Bloom Portfolios menu', 'bloom' ),
    ),

    array(
      'import_file_name'             => esc_html__('Media Files','bloom' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/media.xml',
      'import_preview_image_url'     => 'http://assets.cththemes.net/themeforest/inspired/media.png',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Media menu', 'bloom' ),
    ),
    

    array(
      'import_file_name'             => esc_html__('Contact Forms','bloom' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/contactforms.xml',
      'import_preview_image_url'     => 'http://assets.cththemes.net/themeforest/inspired/contactforms.png',
      'import_notice'                => esc_html__( 'This demo will be downloaded into Contact menu', 'bloom' ),
    ),

    
    array(
      'import_file_name'             => esc_html__('Members','bloom' ),
      'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/demo_data_files/members.xml',
      'import_preview_image_url'     => 'http://assets.cththemes.net/themeforest/inspired/members.png',
      'import_notice'                => esc_html__( 'This demo data will be downloaded into Bloom Members menu', 'bloom' ),
    ),

  );
}



add_filter( 'pt-ocdi/import_files', 'bloom_import_files' );