jQuery(window).load(function() {
    "use strict";
    if(jQuery("#bloom-loader").length){
        jQuery(".loader").fadeOut(500, function() {
            jQuery("#main").animate({
                opacity: "1"
            }, 500);
            contanimshow();
        });
    }else{
        contanimshow();
    }
});

//   all ------------------
function initBloom() {
    "use strict";

    // Important add or init your functions after this text ------------------  
    jQuery('#ajax-page-inline-css').remove();
    if(jQuery('#ajax-page-inline-div-css').length){
        jQuery( '<style id="ajax-page-inline-css" type="text/css">'+jQuery('#ajax-page-inline-div-css').text()+"</style>" ).appendTo( "head" );
    }
    

    var headanim = jQuery("header.bloom-header"), footanim = jQuery("footer.bloom-footer"), conhold = jQuery(".content-holder");
    function hideheader() {
        headanim.animate({
            top: "-65px"
        }, 200);
    }
    function showheader() {
        var topval = 0;
        if(jQuery('.admin-bar').length){
            topval = 32;
        }
        headanim.animate({
            top: topval
        }, 200);
    }
    function hidefooter() {
        jQuery('.content-holder').css('padding-bottom','0px');
        footanim.animate({
            bottom: "-55px"
        }, 500);
    }
    function showfooter() {
        footanim.animate({
            bottom: "0"
        }, 500);
    }
    //if (conhold.hasClass("nopad")) hidefooter(); else showfooter();
    if (conhold.hasClass("fl-con-wrap")) hideheader(); else showheader();
    if (conhold.hasClass("no-vis-footer") || jQuery('.folio-hide-footer').length ) hidefooter(); else showfooter();
    var bgImage = jQuery(".bg,.back-link,.password-page-bg,.bg-landing");
    bgImage.each(function(a) {
        if (jQuery(this).attr("data-bg")) jQuery(this).css("background-image", "url(" + jQuery(this).data("bg") + ")");
    });
    function afh() {
        jQuery(".fullscreen-slider .item").css({
            height: jQuery(".fullscreen-slider").outerHeight(true)
        });
        jQuery(".fullheight-carousel .item").css({
            height: jQuery(".fullheight-carousel-holder").outerHeight(true)
        });
        jQuery(".slideshow-slider .item").css({
            height: jQuery(".slideshow-slider").outerHeight(true)
        });
        jQuery(".full-screen-gallery .horizontal_item").css({
            height: jQuery(".full-screen-gallery").outerHeight(true)
        });
        jQuery(".slider-image-holder .item").css({
            height: jQuery(".slider-image-holder").outerHeight(true)
        });
        jQuery(".alt").each(function() {
            jQuery(this).css({
                "margin-top": -1 * jQuery(this).height() / 2 + "px"
            });
        });
        jQuery(".blog-nav  .art-nav-img  img").css({
            "margin-left": -jQuery(".blog-nav  .art-nav-img  img").width() / 2 + "px"
        });
        var a = jQuery(window).height(), b = jQuery(".resize-carousel-holder").outerHeight(), c = jQuery(".p_horizontal_wrap"), cc = jQuery('.horizontal-folio-main-wrap-ele .p_horizontal_wrap'), ccn = jQuery('.folio-hide-footer .p_horizontal_wrap'), ccnn = jQuery('.bloom_folio_style7_wrap .p_horizontal_wrap'), d = jQuery(".fixed-filter").outerHeight(), dn = jQuery(".vis-pan").outerHeight();
        c.css("height", b - d);
        ccn.css("height", b - d + 50);
        ccnn.css('height',b - dn );
        var e = jQuery(window).width();
        if (e < 768){
            c.css("height", a - b - 60);
            //cc.css("height", a - b);
            cc.css("height", 'auto');
            //ccn.css("height", a -b + 60);
        } 
        jQuery(" #portfolio_horizontal_container .portfolio_item img").css({
            height: jQuery(".portfolio_item").outerHeight(true)
        });
    }
    afh();
//  menu ------------------ 

    var cm = jQuery(".nav-button"),
        nh = jQuery(".nav-inner"),
        no = jQuery(".nav-overlay"),
        hidmen = jQuery('#hid-men');
    hidmen.menu(); 
    hidmen.css({
        "margin-top": -  hidmen.height() / 2 - 50 +  "px"
    });
         
    function showmenu() {
        setTimeout(function() {
            nh.addClass("vismen");
        }, 120);
        cm.addClass("cmenu");
        nh.removeClass("isDown");
        no.addClass("visover");
    }
    function hidemenu() {
        nh.addClass("isDown");
        cm.removeClass("cmenu");
        nh.removeClass("vismen");
        no.removeClass("visover");
    }
    cm.on("click", function() {
        if (nh.hasClass("isDown")) {
            showmenu();
        }
        else {
        hidemenu();
  
        }
        return false;
    });
    no.on("click", function() {
        hidemenu();
        return false;
    });
    cm.attr("onclick","return true");
        
//   Owl Carousel ------------------

    var sync2 = jQuery(".fullscreen-slider");
    sync2.owlCarousel({
        loop: true,
        margin: 0,
        nav: false,
        items: 1,
        dots: true,
        smartSpeed: 1200,
        autoHeight: false,
        thumbs: false,
        onInitialized: function() {
            jQuery(".num-holder3").text("1" + " / " + this.items().length);
            }
        }).on("changed.owl.carousel", function(a) {
        var b = --a.item.index, a = a.item.count;
        jQuery(".num-holder3").text((1 > b ? b  + a : b > a ? b - a : b  )  + " / " + a);
    });
    jQuery(".fullscreen-slider-holder a.next-slide").on("click", function() {
        jQuery(this).closest(".fullscreen-slider-holder").find(sync2).trigger("next.owl.carousel");
        //jQuery(this).closest(".fullscreen-slider-holder").find(gf).trigger("next.owl.carousel");     
        return false;
    });
    jQuery(".fullscreen-slider-holder a.prev-slide").on("click", function() {
        jQuery(this).closest(".fullscreen-slider-holder").find(sync2).trigger("prev.owl.carousel");
        //jQuery(this).closest(".fullscreen-slider-holder").find(gf).trigger("prev.owl.carousel"); 
        return false;
    }); 



    var gR = jQuery(".gallery_horizontal"), w = jQuery(window);
    var gR_ops = gR.data('options') ? gR.data('options') : {smartSpeed:1300,autoplay:false,items:3,loop:true,center:false,autoWidth:true,thumbs:true};

    function initGalleryhorizontal() {
        var  c = jQuery(".gallery_horizontal"), ch = jQuery(".gallery_horizontal").outerHeight();
        var d = 0;
        if(!jQuery(".bvp").hasClass('hide-cpanel')) d = jQuery(".bvp").outerHeight();
        c.find("img").css({
            height: ch - d
        });
        if (w.width() > 756){
            console.log(w.width());
            gR.owlCarousel({
                autoWidth: gR_ops.autoWidth,
                margin: 20,
                items: gR_ops.items,
                smartSpeed: gR_ops.smartSpeed,
                loop: gR_ops.loop,
                center: gR_ops.center,
                autoplay: gR_ops.autoplay,
                nav: false,
                thumbs: gR_ops.thumbs,
                thumbImage: true,
                thumbContainerClass: "owl-thumbs",
                thumbItemClass: "owl-thumb-item",
                onInitialized: function() {
                    jQuery(".num-holder2").text("1" + " of " + this.items().length);

                    if(jQuery('.gallery_horizontal').find('.owl-item.center').length){
                        jQuery('.gallery_horizontal').find('.owl-item').addClass('fixopa');
                    }
                }
            });/*.on("changed.owl.carousel", function(a) {
                var b = --a.item.index-1, a = a.item.count;
                jQuery(".num-holder2").text((1 > b ? b  + a : b > a ? b - a : b  )  + " of " + a);
            });*/
        }
        else{
            if (gR.find(".owl-stage-outer").length) {
                gR.trigger("destroy.owl.carousel");
                //gR.find(".horizontal_item").unwrap();
            }
        }

        gR.on("translated.owl.carousel", function(a) {
            var curr = a.item.index +1;
                
            if(jQuery(this).find(".active.center").length){
                var e = jQuery(this).find(".active.center").find(".horizontal_item");
                if(jQuery(this).find(".cloned").length){
                    if(jQuery(this).find(".owl-item:not(.cloned)").length){
                        jQuery(this).find(".owl-item:not(.cloned)").each(function(index){
                            if(jQuery(this).is('.active.center')){
                                curr = ++index;
                                return false;
                            } 
                        });
                    }
                }
            }else{
                var e = jQuery(this).find(".active").find(".horizontal_item");
                if(jQuery(this).find(".cloned").length){
                    if(jQuery(this).find(".owl-item:not(.cloned)").length){
                        jQuery(this).find(".owl-item:not(.cloned)").each(function(index){
                            if(jQuery(this).is('.active')){
                                curr = ++index;
                                return false;
                            } 
                        });
                    }
                }
            }
            jQuery(".num-holder2").text(curr + " / " + a.item.count);

        });
    
    }
    // if (gR.length) {
    //     initGalleryhorizontal();
    //     w.on("resize.destroyhorizontal", function() {
    //            setTimeout(initGalleryhorizontal, 150);
    //     });
    // }
    if (gR.length) {
        gR.imagesLoaded( function() {
            initGalleryhorizontal();
            w.on("resize.destroyhorizontal", function() {
                //console.log('destroyhorizontal');
                setTimeout(initGalleryhorizontal, 150);
            });
        });
    }
    jQuery(".resize-carousel-holder a.next-slide").on("click", function() {
        jQuery(this).closest(".resize-carousel-holder").find(gR).trigger("next.owl.carousel");
 
        return false;
    });
    jQuery(".resize-carousel-holder a.prev-slide").on("click", function() {
        jQuery(this).closest(".resize-carousel-holder").find(gR).trigger("prev.owl.carousel");
 
        return false;
    });
     
    jQuery('.ad-thumbs .bg').each(function () {
        var daim = jQuery(this).data("bg");
        jQuery(this).append("<img>");
        jQuery(this).find("img").attr('src',daim);

    });

    jQuery(".full-screen-gallery").each(function(){

        var gf = jQuery(this) ;

        var gf_df = {animateOut:false,animateIn:false,responsive: false, smartSpeed:1300,autoplay:false,items:1,loop:true, dots: true,center:false,autoWidth:false,thumbs:false};
        var gf_ops = gf.data('options') ? gf.data('options') : {};
        gf_ops = jQuery.extend({}, gf_df, gf_ops);

        if(gf_ops.responsive){
                var respArr = gf_ops.responsive.split(',');
                gf_ops.responsive = {};
                for (var i = 0; i < respArr.length ; i++){
                    var tempVal = respArr[i].split(':');
                    gf_ops.responsive[tempVal[0]] = { 
                        items: parseInt(tempVal[1])
                    };

                }
            }else{
                gf_ops.responsive = false;
            }

        gf.owlCarousel({
            autoWidth: gf_ops.autoWidth,
            margin: 0,
            items: gf_ops.items,
            smartSpeed: gf_ops.smartSpeed,
            loop: gf_ops.loop,
            autoplay: gf_ops.autoplay,
            center: gf_ops.center,
            nav: false,
            dots: gf_ops.dots,
            thumbs: gf_ops.thumbs,
            responsive: gf_ops.responsive,
            thumbImage: true,
            thumbContainerClass: "owl-thumbs",
            thumbItemClass: "owl-thumb-item",

            animateOut: gf_ops.animateOut,
            animateIn: gf_ops.animateIn,

            onInitialized: function() {
                jQuery(".num-holder2").text("1" + " of " + this.items().length);
            }
        });

        gf.on("translated.owl.carousel", function(a) {
            var curr = a.item.index +1;
                
            if(jQuery(this).find(".active.center").length){
                var e = jQuery(this).find(".active.center").find(".horizontal_item");
                if(jQuery(this).find(".cloned").length){
                    if(jQuery(this).find(".owl-item:not(.cloned)").length){
                        jQuery(this).find(".owl-item:not(.cloned)").each(function(index){
                            if(jQuery(this).is('.active.center')){
                                curr = ++index;
                                return false;
                            } 
                        });
                    }
                }
            }else{
                var e = jQuery(this).find(".active").find(".horizontal_item");
                if(jQuery(this).find(".cloned").length){
                    if(jQuery(this).find(".owl-item:not(.cloned)").length){
                        jQuery(this).find(".owl-item:not(.cloned)").each(function(index){
                            if(jQuery(this).is('.active')){
                                curr = ++index;
                                return false;
                            } 
                        });
                    }
                }
            }
            jQuery(".num-holder2").text(curr + " / " + a.item.count);

        });

        

        jQuery(".resize-carousel-holder a.next-slide").on("click", function() {
            jQuery(this).closest(".resize-carousel-holder").find(gf).trigger("next.owl.carousel");
            return false;
        });
        jQuery(".resize-carousel-holder a.prev-slide").on("click", function() {
            jQuery(this).closest(".resize-carousel-holder").find(gf).trigger("prev.owl.carousel");
            return false;
        });

    });

    jQuery(".single-slider").each(function(){

        var ss = jQuery(this);
        var ss_df = {smartSpeed:1300,autoplay:false,autoplaySpeed: 3600,items:1,autoplayTimeout:4000,responsive:false,autoHeight:true,loop:true,dots:true,center:false,autoWidth:false,animateOut:false,animateIn:false};
        var ss_ops = ss.data('options') ? ss.data('options') : {};
        ss_ops = jQuery.extend({}, ss_df, ss_ops);
        if(ss_ops.responsive){
            var respArr = ss_ops.responsive.split(',');
            ss_ops.responsive = {};
            for (var i = 0; i < respArr.length ; i++){
                var tempVal = respArr[i].split(':');
                ss_ops.responsive[tempVal[0]] = { 
                    items: parseInt(tempVal[1])
                };

            }
        }else{
            ss_ops.responsive = false;
        }
        ss.owlCarousel({
            margin: 0,
            items: ss_ops.items,
            smartSpeed: ss_ops.smartSpeed,
            loop: ss_ops.loop,
            nav: false,
            dots:ss_ops.dots,
            autoHeight: ss_ops.autoHeight,
            autoplay: ss_ops.autoplay,
            autoplayTimeout: ss_ops.autoplayTimeout,
            autoplaySpeed: ss_ops.autoplaySpeed,
            responsive:ss_ops.responsive,
            center:ss_ops.center,
            autoWidth:ss_ops.autoWidth,
        });

        jQuery(".single-slider-holder a.next-slide").on("click", function() {
            jQuery(this).closest(".single-slider-holder").find(ss).trigger("next.owl.carousel");
            return false;
        });
        jQuery(".single-slider-holder a.prev-slide").on("click", function() {
            jQuery(this).closest(".single-slider-holder").find(ss).trigger("prev.owl.carousel");
            return false;
        });
            
    });

    jQuery(".fullheight-carousel").each(function(){

        var fhcr = jQuery(this) ;

        var fhcr_df = {responsive: false, smartSpeed:1300,autoplay:false,items:3,loop:true, dots: false,center:true,autoWidth:false,thumbs:false};
        var fhcr_ops = fhcr.data('options') ? fhcr.data('options') : {};
        fhcr_ops = jQuery.extend({}, fhcr_df, fhcr_ops);

        if(fhcr_ops.responsive){
                var respArr = fhcr_ops.responsive.split(',');
                fhcr_ops.responsive = {};
                for (var i = 0; i < respArr.length ; i++){
                    var tempVal = respArr[i].split(':');
                    fhcr_ops.responsive[tempVal[0]] = { 
                        items: parseInt(tempVal[1])
                    };

                }
            }else{
                fhcr_ops.responsive = false;
            }

        fhcr.owlCarousel({
            autoWidth: fhcr_ops.autoWidth,
            margin: 0,
            items: fhcr_ops.items,
            smartSpeed: fhcr_ops.smartSpeed,
            loop: fhcr_ops.loop,
            autoplay: fhcr_ops.autoplay,
            center: fhcr_ops.center,
            nav: false,
            dots: fhcr_ops.dots,
            thumbs: fhcr_ops.thumbs,
            responsive: fhcr_ops.responsive,
            thumbImage: true,
            thumbContainerClass: "owl-thumbs",
            thumbItemClass: "owl-thumb-item",

        });

        jQuery(".fullheight-carousel-holder a.next-slide").on("click", function() {
            jQuery(".fullheight-carousel-holder").find(fhcr).trigger("next.owl.carousel");
            return false;
        });
        jQuery(".fullheight-carousel-holder a.prev-slide").on("click", function() {
            jQuery(".fullheight-carousel-holder").find(fhcr).trigger("prev.owl.carousel");
            return false;
        });

    });


    jQuery(".slideshow-slider").each(function(){
        var sync4 = jQuery(this);
        var sync4_df = {items:1,autoplayTimeout:4000,autoplaySpeed:3600};
        var sync4_ops = sync4.data('options') ? sync4.data('options') : sync4_df;
        sync4_ops = jQuery.extend({}, sync4_df, sync4_ops);
        sync4.owlCarousel({
            loop: true,
            margin: 0,
            nav: false,
            mouseDrag:false,
            touchDrag:false,
            autoplay: true,
            autoplayTimeout: sync4_ops.autoplayTimeout,
            autoplayHoverPause: false,
            autoplaySpeed: sync4_ops.autoplaySpeed,
            items: sync4_ops.items,
            dots: false,
            animateOut: "fadeOut",
            animateIn: "fadeIn",
            autoHeight: false,
        });

        
    });


    var full_in_mousewheel_pro = false;
    jQuery(".mousecontr").each(function(){
        var slider = jQuery(this);
        
        slider.on("translated.owl.carousel", function(a) {
            full_in_mousewheel_pro = false;
        });
        
        slider.on("mousewheel", ".owl-stage", function(a) {
            if(!full_in_mousewheel_pro) {
                full_in_mousewheel_pro = true;
                if (a.deltaY < 0) slider.trigger("next.owl"); else slider.trigger("prev.owl");
            }
            a.preventDefault();
        });
    });
    jQuery(".keyboardcontr").each(function(){
        var slider = jQuery(this);
        jQuery(document).on('keydown.slider-carousel', function(e) {
            if(e.keyCode == 37) {
                slider.trigger("prev.owl");
            };
            if(e.keyCode == 39) {
                slider.trigger("next.owl");
            };
        });
    });

    jQuery(".refrestonresizeowl").each(function(){
        var slider = jQuery(this);
        jQuery(window).on('resize',function(){
            if(slider.find(".owl-stage-outer").length) slider.trigger('refresh.owl.carousel');
        });
    });
    

        

        


        
//   Skills ------------------

    jQuery("div.skillbar-bg").each(function() {
        jQuery(this).find(".custom-skillbar").delay(600).animate({
            width: jQuery(this).attr("data-percent")
        }, 1500);
    });
    

//   Thumbnails ------------------

    function showThumbs() {
        jQuery(".show-thumbs").removeClass("vis-t");
        jQuery(".owl-thumbs").addClass("vis-thumbs");
        jQuery(".resize-carousel-holder , .buttons-holder").addClass("ogm");
        setTimeout(function() {
            jQuery(".owl-thumb-item").addClass("himask");
        }, 650);
 
    }
    function hideThumbs() {
        jQuery(".show-thumbs").addClass("vis-t");
        jQuery(".owl-thumbs").removeClass("vis-thumbs");
        jQuery(".owl-thumb-item").removeClass("himask");
        jQuery(".resize-carousel-holder , .buttons-holder").removeClass("ogm");
    }
    jQuery(".show-thumbs").on("click", function() {
        if (jQuery(this).hasClass("vis-t")) showThumbs(); else hideThumbs();
        return false;
    }); 
    jQuery(document).on("click", ".owl-thumb-item", function() {
        hideThumbs();
        return false;
    }); 
    
//   Info ------------------    

    var inwrap = jQuery(".info-wrap"), inover = jQuery(".info-overlay");
    function showinfo() {
        inwrap.addClass("visinwrap");
        inover.addClass("visinover");
    }
    function hideinfo() {
        inwrap.removeClass("visinwrap");
        inover.removeClass("visinover");
    }
    jQuery(".close-info , .info-overlay").on("click", function() {
        hideinfo();
    });
    jQuery(".show-info").on("click", function() {
        showinfo();
    });
    
//   contact-form------------------ 

    if(jQuery('.show-contact-form').length){
        jQuery('.wpcf7').addClass('hide-desktop-form');
    }

    var cfh = jQuery(".hide-desktop-form"), cghw = jQuery(".wpcf7-form");
    function showcontact() {
        cfh.addClass("visconbg");
        cghw.css('margin-top',-cghw.height()/2+'px');
        cghw.addClass("visconform");
    }
    function hidecontact() {
        cfh.removeClass("visconbg");
        cghw.removeClass("visconform");
    }
    jQuery(".close-contact").on("click", function() {
        hidecontact();
    });
    jQuery(".show-contact-form").on("click", function(a) {
        a.preventDefault();
        showcontact();
    });
        
// Services hover ------------------    
    
    jQuery(".serv-item").on({
        mouseenter: function () {
            var a = jQuery(this).data("bgscr");
            if(a && jQuery('.fixed-column .bg').length){
                jQuery('.fixed-column .bg').addClass('transition2').css("background-image", "url(" + a + ")");
            }
        } 
    });
    
// Background video ------------------
    jQuery(".background-youtube").each(function(){
        var l = jQuery(this).data("vid");
        var m = jQuery(this).data("mv") ? jQuery(this).data("mv") : 1;
        var ql = jQuery(this).data("ql") ? jQuery(this).data("ql") : 'highres';
        var pos = jQuery(this).data("pos") ? jQuery(this).data("pos") : 0;
        var ftb = jQuery(this).data("ftb") ? jQuery(this).data("ftb") : 1;
        jQuery(this).YTPlayer({
            fitToBackground: ftb,
            videoId: l,
            pauseOnScroll: pos,
            mute: m,
            //ratio: 16 / 9,// 4/3
            callback: function() {
                var a = jQuery(this).data("ytPlayer").player;
                a.setPlaybackQuality(ql);//small,medium,large,hd720,hd1080,highres,default
            }
        });
    });

    jQuery(".background-vimeo").each(function(){
        var vid = jQuery(this).data("vim");
        jQuery(this).append('<iframe src="//player.vimeo.com/video/' + vid + '?background=1"  frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen ></iframe>');
    });

    function vimeoVideoSize(){
        jQuery(".video-holder").height(jQuery(".media-container").height());
        if (jQuery(window).width() > 1024) {
            if (jQuery(".video-holder").size() > 0) if (jQuery(".media-container").height() / 9 * 16 > jQuery(".media-container").width()) {
                jQuery(".background-vimeo iframe ").height(jQuery(".media-container").height()).width(jQuery(".media-container").height() / 9 * 16);
                jQuery(".background-vimeo iframe ").css({
                    "margin-left": -1 * jQuery("iframe").width() / 2 + "px",
                    top: "-75px",
                    "margin-top": "0px"
                });
            } else {

                jQuery(".background-vimeo iframe ").width(jQuery(window).width()).height(jQuery(window).width() / 16 * 9);
                jQuery(".background-vimeo iframe ").css({
                    "margin-left": -1 * jQuery("iframe").width() / 2 + "px",
                    "margin-top": -1 * jQuery("iframe").height() / 2 + "px",
                    top: "50%"
                });
            }
        } else if (jQuery(window).width() < 760) {
            jQuery(".video-holder").height(jQuery(".media-container").height());
            jQuery(".background-vimeo iframe ").height(jQuery(".media-container").height());
        } else {
            jQuery(".video-holder").height(jQuery(".media-container").height());
            jQuery(".background-vimeo iframe ").height(jQuery(".media-container").height());
        }

    }
    vimeoVideoSize()
    jQuery(window).resize(function(){
        vimeoVideoSize()
    });

// Isotope ------------------

    function n() {
        /*masonry*/
        if (jQuery(".gallery-items").length) {

            jQuery(".gallery-items").each(function(){
                var a = jQuery(this).isotope({
                    itemSelector: ".gallery-item, .gallery-item-second, .gallery-item-three",
                    percentPosition: true,
                    masonry: {
                        // use outer width of grid-sizer for columnWidth
                        columnWidth: ".grid-sizer, .grid-sizer-second, .grid-sizer-three",
                    },
                    transformsEnabled: true,
                    transitionDuration: "700ms",
                    resizable: true
                });
                a.imagesLoaded(function() {
                    a.isotope("layout");
                });
                jQuery(".gallery-filters").on("click", "a.gallery-filter", function(b) {
                    b.preventDefault();
                    var c = jQuery(this).attr("data-filter");
                    a.isotope({
                        filter: c
                    });
                    jQuery(".gallery-filters a.gallery-filter").removeClass("gallery-filter-active");
                    jQuery(this).addClass("gallery-filter-active");
                    return false;
                });
                a.isotope("on", "layoutComplete", function(a, b) {
                    initFolioGal();
                });
                a.on( 'arrangeComplete', function( event, filteredItems ) {
                    initFolioGal();
                } );

                /*infinite scroll*/

                var win = jQuery(window);

                var in_scroll_progress = false;

                var scroll_offset = 0;

                // Each time the user scrolls
                win.scroll(function() {
                    // End of the document reached?
                    /*check for gallery */
                    if(jQuery('.gallery-load-more').length){

                        if(jQuery('.gallery-load-more').scrollTop()){
                            var compare_pos = jQuery('.gallery-load-more').scrollTop();
                        }else{
                            var lm_anchor_pos = jQuery('.gallery-load-more').offset() ;
                            var compare_pos = lm_anchor_pos.top;
                        }

                        if (win.scrollTop() >= compare_pos - win.height() + scroll_offset ) {
                            if(!in_scroll_progress){
                                
                                in_scroll_progress = true;

                                var lm_btn = jQuery('.gallery-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                if(remain == 'yes'){
                                    var grid_hoder = lm_btn.closest('.bloom_images_gallery_wrap').children('.gallery-items');
                                    var ajaxurl = grid_hoder.data('lm-request');
                                    var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'bloom_lm_gal',lmore_items:3,images:'',loaded:10};
                                    
                                    lm_btn.closest('.gallery-lmore-holder').css('visibility','visible');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };
                                    //console.log(ajaxdata);

                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(d) {
                                            //console.log(d);
                                            lm_btn.closest('.gallery-lmore-holder').css('visibility','hidden');
                                            if(d.status == 'fail'){
                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.gallery-lmore-holder').remove();

                                            }else if(d.status == 'success'){
                                                a.isotope();
                                                a.isotope( 'insert', jQuery(d.content) );
                                                a.imagesLoaded(function() {
                                                    a.isotope("layout");
                                                });

                                                if(d.is_remaining == 'no'){
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.gallery-lmore-holder').remove();
                                                    
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_scroll_progress = false;
                                            
                                        }
                                    });//end ajax


                                }//end remain
                                    
                            }//end in_scroll_progress
                        }//end compare position
                    }
                    /*check for portfolio */
                    if(jQuery('.folio-load-more').length){

                        if(jQuery('.folio-load-more').scrollTop()){
                            var compare_pos = jQuery('.folio-load-more').scrollTop();
                        }else{
                            var lm_btn_pos = jQuery('.folio-load-more').offset() ;
                            var compare_pos = lm_btn_pos.top;
                        }
                        if (win.scrollTop() >= compare_pos - win.height() + scroll_offset ) {//win.scrollTop()) {

                            if(!in_scroll_progress){
                                
                                in_scroll_progress = true;

                                var lm_btn = jQuery('.folio-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                var grid_hoder = lm_btn.closest('.folio-grid-folios-wrap').children('.gallery-items');
                                var ajaxurl = grid_hoder.data('lm-request');
                                var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'bloom_lm_folio',lmore_items:3};

                                if(remain === 'yes'){

                                    lm_btn.closest('.folio-grid-lmore-holder').css('visibility','visible');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };

                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(d) {
                                            lm_btn.closest('.folio-grid-lmore-holder').css('visibility','hidden');
                                            if(d.status == 'fail'){

                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.folio-grid-lmore-holder').remove();

                                            }else if(d.status == 'success'){
                                                a.isotope();
                                                a.isotope( 'insert', jQuery(d.content) );
                                                a.imagesLoaded(function() {
                                                    a.isotope("layout");
                                                });

                                                var j = jQuery(".gallery-item").length;
                                                jQuery(".all-album").html(j);

                                                if(d.is_remaining == 'no'){
                                                    
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.folio-grid-lmore-holder').remove();
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_scroll_progress = false;
                                            
                                        }
                                    });


                                }

                            }
                        }
                    }

                    
                });
                /*infinite scroll - end */



            });

            
        }

        /*end masonry */
        var curColor = jQuery(".p_horizontal_wrap").data("csc") ? jQuery(".p_horizontal_wrap").data("csc") : '#424242';
        if(jQuery('body').hasClass('bloom-dark-version')){
            curColor = '#292929';
            if(jQuery('img.bloom-logo').length){
                var imgsrc = jQuery('img.bloom-logo').attr('src');
                var last = imgsrc.lastIndexOf('logo-demo-light.png');
                if(last != -1){
                    jQuery('img.bloom-logo').attr('src', imgsrc.substring(0,last)+'logo-demo-dark.png' );//+ '?' + Math.random());
                }
            }
        }


        var c = {
            touchbehavior: true,
            cursoropacitymax: 1,
            cursorborderradius: "6px",
            background: "transparent",
            cursorwidth: "5px",
            cursorborder: "0px",
            cursorcolor: curColor,
            autohidemode:false,
            bouncescroll: true,
            scrollspeed: 120,
            mousescrollstep: 90,
            grabcursorenabled: false,
            horizrailenabled: true,
            preservenativescrolling: true,
            cursordragontouch: true,
            railpadding: {
                top: 33,
                right: 0,
                left:  0,
                bottom: 0
            }
        };
        var d = jQuery("#portfolio_horizontal_container");
        d.imagesLoaded(function(a, b, e) {
            var f = {
                itemSelector: ".portfolio_item",
                layoutMode: "packery",
                packery: {
                    isHorizontal: true,
                    gutter: 0
                },
                resizable: true,
                transformsEnabled: true,
                transitionDuration: "1000ms",
            };
            var g = {
                itemSelector: ".portfolio_item",
                layoutMode: "packery",
                packery: {
                    isHorizontal: false,
                    gutter: 0
                },
                resizable: true,
                transformsEnabled: true,
                transitionDuration: "700ms"
            };
            if (jQuery(window).width() < 756) {
                d.isotope(g);
                d.isotope("layout");

                var win = jQuery(window);

                var in_hoz_scroll_progress = false;

                var hoz_scroll_offset = 0;

                // Each time the user scrolls
                win.scroll(function() {
                    console.log('windows scroll');
                    // End of the document reached?
                    if(jQuery('.hoz-gal-lmore-holder').length){
                        if(jQuery('.hoz-gal-load-more').scrollTop()){
                            var compare_pos = jQuery('.hoz-gal-load-more').scrollTop();
                        }else{
                            var lm_anchor_pos = jQuery('.hoz-gal-load-more').offset();
                            var compare_pos = lm_anchor_pos.top;
                        }
                        
                        if ( win.scrollTop() >= compare_pos - win.height() + hoz_scroll_offset ) {

                            if( !in_hoz_scroll_progress ){
                                in_hoz_scroll_progress = true;

                                var lm_btn = jQuery('.hoz-gal-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                
                                if(remain === 'yes'){
                                    var grid_hoder = lm_btn.closest('.p_horizontal_wrap').children('.folio-hoz-gallery');
                                    var ajaxurl = grid_hoder.data('lm-request');
                                    var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'bloom_lm_gal_hoz',lmore_items:3,images:'',loaded:5};

                                    lm_btn.closest('.hoz-gal-lmore-holder').addClass('hoz-ver-loading');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };
                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(data) {
                                            lm_btn.closest('.hoz-gal-lmore-holder').removeClass('hoz-ver-loading');
                                            if(data.status == 'fail'){
                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.hoz-gal-lmore-holder').remove();

                                            }else if(data.status == 'success'){
                                                d.isotope();
                                                d.isotope( 'insert', jQuery(data.content) );
                                                d.imagesLoaded(function() {
                                                    
                                                    d.isotope("layout");
                                                });
                                                if(data.is_remaining == 'no'){
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.hoz-gal-lmore-holder').remove();
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_hoz_scroll_progress = false;
                                            
                                        }
                                    });

                                }

                            }

                        }

                    }

                    if(jQuery('.hoz-folio-lmore-holder').length){
                        if(jQuery('.hoz-folio-lmore-holder').scrollTop()){
                            var compare_pos = jQuery('.hoz-folio-lmore-holder').scrollTop();
                        }else{
                            var lm_anchor_pos = jQuery('.hoz-folio-lmore-holder').position() ;
                            var compare_pos = lm_anchor_pos.top;
                        }
                        if ( compare_pos - win.scrollTop() <=  win.height() - hoz_scroll_offset) {

                            if( !in_hoz_scroll_progress ){
                                in_hoz_scroll_progress = true;

                                var lm_btn = jQuery('.hoz-folio-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                
                                if(remain === 'yes'){


                                    var grid_hoder = lm_btn.closest('.p_horizontal_wrap').children('.folio-hoz-gallery');
                                    var ajaxurl = grid_hoder.data('lm-request');
                                    var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'bloom_lm_folio',lmore_items:3};

                                    lm_btn.closest('.hoz-folio-lmore-holder').addClass('hoz-ver-loading');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };
                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(data) {
                                            lm_btn.closest('.hoz-folio-lmore-holder').removeClass('hoz-ver-loading');
                                            if(data.status == 'fail'){
                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.hoz-folio-lmore-holder').remove();

                                            }else if(data.status == 'success'){
                                                //console.log(data.content);
                                                d.isotope();
                                                d.isotope( 'insert', jQuery(data.content) );
                                                d.imagesLoaded(function() {
                                                    
                                                    d.isotope("layout");
                                                });
                                                if(data.is_remaining == 'no'){
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.hoz-folio-lmore-holder').remove();
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_hoz_scroll_progress = false;
                                            
                                        }
                                    });

                                }

                            }

                        }

                    }

                    /*horizontal folio*/

                });


            } else {
                d.isotope(f);
                d.isotope("layout");
                jQuery(".p_horizontal_wrap").niceScroll(c);

                var nicescrollObj = jQuery(".p_horizontal_wrap").getNiceScroll() ;
                if(nicescrollObj.length){
                    nicescrollObj = nicescrollObj[0];
                    var in_hoz_scroll_progress = false;
                    var hoz_scroll_offset = 200;
                    nicescrollObj.onscrollend = function(info){

                        if(this.page.w - this.getScrollLeft() <= this.view.w + hoz_scroll_offset){
                            if( !in_hoz_scroll_progress && jQuery('.hoz-gal-lmore-holder').length ){
                                in_hoz_scroll_progress = true;

                                var lm_btn = jQuery('.hoz-gal-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                
                                if(remain === 'yes'){
                                    var grid_hoder = lm_btn.closest('.p_horizontal_wrap').children('.folio-hoz-gallery');
                                    var ajaxurl = grid_hoder.data('lm-request');
                                    var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'bloom_lm_gal_hoz',lmore_items:3,images:'',loaded:5};

                                    lm_btn.closest('.hoz-gal-lmore-holder').addClass('hoz-loading');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };
                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(data) {
                                            lm_btn.closest('.hoz-gal-lmore-holder').removeClass('hoz-loading');
                                            if(data.status == 'fail'){
                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.hoz-gal-lmore-holder').remove();

                                            }else if(data.status == 'success'){
                                                d.isotope();
                                                d.isotope( 'insert', jQuery(data.content) );
                                                d.imagesLoaded(function() {
                
                                                    d.isotope("layout");
                                                });
                                                if(data.is_remaining == 'no'){
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.hoz-gal-lmore-holder').remove();
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_hoz_scroll_progress = false;
                                            
                                        }
                                    });

                                }

                            }
                            /*horizontal gallery*/

                            if( !in_hoz_scroll_progress && jQuery('.hoz-folio-lmore-holder').length ){
                                in_hoz_scroll_progress = true;

                                var lm_btn = jQuery('.hoz-folio-load-more');
                                var click_num = lm_btn.attr('data-click')? lm_btn.attr('data-click') : 1;
                                var remain = lm_btn.attr('data-remain')? lm_btn.attr('data-remain') : 'no';
                                
                                if(remain === 'yes'){
                                    var grid_hoder = lm_btn.closest('.p_horizontal_wrap').children('.folio-hoz-gallery');
                                    var ajaxurl = grid_hoder.data('lm-request');
                                    var lm_settings = grid_hoder.data('lm-settings')? grid_hoder.data('lm-settings'): {action:'bloom_lm_folio',lmore_items:3};

                                    lm_btn.closest('.hoz-folio-lmore-holder').addClass('hoz-loading');

                                    var ajaxdata = {
                                        action: lm_settings['action'],
                                        _lmnonce: grid_hoder.data('lm-nonce'),
                                        wp_query : lm_settings,
                                        click_num: click_num
                                    };
                                    jQuery.ajax({
                                        type: "POST",
                                        data: ajaxdata,
                                        url: ajaxurl,
                                        success: function(data) {
                                            lm_btn.closest('.hoz-folio-lmore-holder').removeClass('hoz-loading');
                                            if(data.status == 'fail'){
                                                lm_btn.attr('data-remain','no');
                                                lm_btn.closest('.hoz-folio-lmore-holder').remove();

                                            }else if(data.status == 'success'){
                                                d.isotope();
                                                d.isotope( 'insert', jQuery(data.content) );
                                                d.imagesLoaded(function() {
                                                    d.isotope("layout");
                                                });
                                                if(data.is_remaining == 'no'){
                                                    lm_btn.attr('data-remain','no');
                                                    lm_btn.closest('.hoz-folio-lmore-holder').remove();
                                                }
                                            }

                                            lm_btn.attr('data-click',++click_num);

                                            in_hoz_scroll_progress = false;
                                            
                                        }
                                    });

                                }

                            }

                            /*horizontal folio*/

                        }


                    };
                    
                } 

            }
            d.isotope("on", "layoutComplete", function(a, b) {
                initFolioGal();
            });
            d.on( 'arrangeComplete', function( event, filteredItems ) {
                initFolioGal();
            } );
            jQuery(".gallery-filters").on("click", "a", function(a) {
                a.preventDefault();
                var b = jQuery(this).attr("data-filter");
                d.isotope({
                    filter: b
                });
                jQuery(".gallery-filters a").removeClass("gallery-filter-active");
                jQuery(this).addClass("gallery-filter-active");
            });
 
        });
    }
    n();
    var $window = jQuery(window);
    $window.on('resize', function(){
        afh();
        landingDecor();
        if (jQuery(".resize-carousel-holder").hasClass("res-protoc")){
            if (jQuery(window).width() > 756) window.location.href = window.location.href;//location.reload();
        }
    }); 
    $window.on("scroll", function(a) {
        if (jQuery(this).scrollTop() > 150) {
 
            jQuery(".to-top").fadeIn(500);
        } else {
 
            jQuery(".to-top").fadeOut(500);
        }
    });
    jQuery('<a class="to-top"><i class="fa fa-long-arrow-up"></i></a>').appendTo(".column-wrap");
    jQuery(".to-top").on("click", function(a) {
        a.preventDefault();
        jQuery("html, body").animate({
            scrollTop: 0
        }, 800);
        return false;
    }); 



    
    
//   LightGallery ------------------

    jQuery(".single-popup-image").lightGallery({
        selector: "this",
        cssEasing: "cubic-bezier(0.25, 0, 0.25, 1)",
        download: false,
        counter: false
    });
    function initLightGallery() {
        var $lg = jQuery(".lightgallery"), dlt = $lg.data("looped") ? $lg.data('looped') : false;
        $lg.lightGallery({
            selector: ".lightgallery a.popup-image",
            cssEasing: "cubic-bezier(0.25, 0, 0.25, 1)",
            download: false,
            loop: dlt,

        });
        $lg.on("onBeforeNextSlide.lg", function(a) {
            gR.trigger("next.owl.carousel");
        });
        $lg.on("onBeforePrevSlide.lg", function(a) {
            gR.trigger("prev.owl.carousel");
        }); 
    }
    initLightGallery();
    

    function initFolioGal(){
        if(jQuery(".folio-gallery").length){
            jQuery(".folio-gallery").each(function(){
                var $folg = jQuery(this), dlt = $folg.data("looped") ? $folg.data("looped") : true;
                if( $folg.data('lightGallery') != undefined){
                    $folg.data('lightGallery').destroy(true);
                }
                $folg.lightGallery({
                    selector: ".folio-gallery .portfolio_item:not([style*='display: none']) .folio-popup-gallery,.folio-gallery .gallery-item:not([style*='display: none']) .folio-popup-gallery,.folio-gallery .horizontal_item:not([style*='display: none']) .folio-popup-gallery",
                    cssEasing: "cubic-bezier(0.25, 0, 0.25, 1)",
                    download: false,
                    loop: dlt,
                    thumbnail:false,
                    youtubePlayerParams: { modestbranding: 1, showinfo: 0, controls: 1 },
                    vimeoPlayerParams: { byline : 0, portrait : 0, color : 'CCCCCC' },
                    dailymotionPlayerParams: {}
                });
            });
        }
        if(jQuery(".folio-popup-gallery-new").length){
            jQuery(".folio-popup-gallery-new").each(function(){
                jQuery(this).lightGallery({
                    selector: ".folio-popup-gallery-new a",
                    cssEasing: "cubic-bezier(0.25, 0, 0.25, 1)",
                    download: false,
                    loop: false,

                });
            });
        }

    }
    initFolioGal();

    
//   Share ------------------   
    jQuery('.share-container').each(function(){
        var shs = eval(jQuery(this).attr("data-share"));
        //console.log(shs);
        if(shs && Array.isArray(shs) ){
            jQuery(this).share({
                networks: shs
            });
        }
    });

    jQuery('.mem-item').matchHeight();

    

    
    jQuery('.bloom-before-after').each(function(){
        var bf_af = jQuery(this);
        var d = bf_af.data('direction') ? bf_af.data('direction') : 'horizontal';
        var o = bf_af.data('offset') ? bf_af.data('offset') : '0.7';
        bf_af.imagesLoaded(function(){
            bf_af.twentytwenty({
                default_offset_pct: o, // How much of the before image is visible when the page loads
                orientation: d // Orientation of the before and after images ('horizontal' or 'vertical')
            });
        });
    });

    // Demo links
    function landingDecor(){
        jQuery('.landing-demo-link').each(function(){
            jQuery(this).css('line-height',jQuery(this).height()+'px');
        });
    }
    landingDecor();
    jQuery(document).on('mouseenter','.landing-demo-link',function(){
        var link = jQuery(this);
        jQuery('.landing-demo-img').removeClass('vis-dark');
        var linkcl = link.attr('class');
        linkcl = linkcl.replace('landing-demo-link','').trim();
        if(linkcl != '' && jQuery('img.'+linkcl).length) jQuery('img.'+linkcl).addClass('vis-dark')  ;
    });

    //portfolio external link
    jQuery('.folio-external-link').on('click', function(e){
        e.preventDefault();
        var href = jQuery(this).data('src');
        window.open(href,'_blank');
    });
    
}
function contanimhide() {
    setTimeout(function() {
        jQuery(".content-holder").addClass("scale-bg2");
    }, 650);   
}
function  contanimshow() {
     setTimeout(function() {
        jQuery(".content-holder").removeClass("scale-bg2");
    }, 450); 
}
jQuery('<div class="inf-mob-btn"><span>Info</span><i class="fa fa-chevron-down"></i></div>').appendTo(".header-info");
jQuery(".inf-mob-btn").on("click", function() {
    jQuery(".header-info ul").slideToggle();
    return false;
}); 

//=============== init ajax  ==============
if(_bloom.enable_ajax == '1'){
    jQuery(function() {
        jQuery.coretemp({
            ctbTrigger: "a.ajax",
            reloadbox: "#wrapper",
            loadErrorBg: _bloom.nf_bg,
            loadErrorMessage: _bloom.nf_msg,
            loadErrorBacklinkText: _bloom.nf_linktext,
            outDuration: 250,
            inDuration: 150
        });
        readyFunctions();
        jQuery(document).on({
            ksctbCallback: function() {
                
                if("function" == typeof window.vc_js ) {
                    window.vc_js();
                }
                readyFunctions();
            }
        });
    });
}else{
    jQuery(function(){
        readyFunctions();
    });
}
//=============== init all functions  ==============
function readyFunctions() {
    initBloom();
}

