<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $items
 * @var $autoplay
 * @var $autoplayspeed
 * @var $autoplaytimeout
 * @var $loop
 * @var $dots
 * @var $smartspeed
 * @var $center
 * @var $autowidth
 * @var $parallax_value
 * @var $box_pos
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Carousel_Slider
 */
$el_class = $css = $columns_grid = $spacing = $showpopup = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts ); 

$css_classes = array(
    'home-horizontal-main-wrap resize-carousel-holder no-padding res-protoc folio-hoz-with-content-fix-mobile',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

$grid_cls = 'folio-gallery';
$grid_cls .= ' '.$columns_grid.'-ver-columns';
$grid_cls .= ' hoz-'.$spacing.'-pad';
$grid_cls .= ' showpopup-'.$showpopup;
?>
<div class="<?php echo esc_attr($css_class );?>">
    <!--p_horizontal_wrap -->
    <div class="p_horizontal_wrap" data-csc="rgba(0,0,0,0.85)">
        <div id="portfolio_horizontal_container"  class="<?php echo esc_attr($grid_cls );?>">
            
            <?php echo wpb_js_remove_wpautop($content);?>
        </div>
        <!--portfolio_horizontal_container  end-->
    </div>
    <!--p_horizontal_wrap  end-->
</div>