<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $css
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Bloom_Service
 */
$el_class = $css =  $ser_title = $ser_price = $bgimg = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'ser_item_wrap serv-item fl-wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div class="<?php echo esc_attr($css_class );?>" data-bgscr="<?php echo esc_url( wp_get_attachment_url( $bgimg ) );?>">
    <?php if(!empty($ser_title)):?>
    <h3><?php echo esc_html($ser_title);?></h3>
    <?php endif;?>
    <div class="clearfix"></div>
    <?php echo wpb_js_remove_wpautop($content,true);?>
    <?php if(!empty($ser_price)):?>
    <div><span class="ser-price"><?php echo esc_html($ser_price);?></span></div>
    <?php endif;?>
</div>