<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

get_header(); 


if(bloom_global_var('folio_layout') == 'columns') :
?>
    <div class="fixed-column folio-fixed-column">
        <div class="bg" data-bg="<?php echo bloom_global_var('folio_header_image','url',true);?>"></div>
        <div class="column-title">
            <h1 class="post-sec-title"><?php echo bloom_global_var('folio_home_text') ;?></h1>
            <?php echo bloom_global_var('folio_home_text_intro') ;?>
        </div>
    </div>
    <div class="column-wrap blg-wrap">
        <div class="content">
            <div class="section-title">
                <h1 class="post-sec-title"><?php echo bloom_global_var('folio_home_text') ;?></h1>
            </div>
            
            <?php echo bloom_global_var('folio_home_text_intro') ;?>
            <?php
                get_template_part('archive-portfolio-masonry' );
            ?> 


            <div class="after-folio-columns"></div>                               
            
        </div>   
    </div>

<?php 
elseif(bloom_global_var('folio_layout') == 'ver') : ?>
    <div class="content">
        <div class="section-title text-center pad-top-50">
            <h1 class="post-sec-title"><?php echo bloom_global_var('folio_home_text') ;?></h1>

            <?php echo bloom_global_var('folio_home_text_intro') ;?>
        </div>
        
        
        <?php
            get_template_part('archive-portfolio-masonry' );
        ?> 

                                     
        
    </div>  

<?php else : 

    get_template_part('archive-portfolio-horizontal' );

endif;//end blog style for columns

get_footer(); 
