<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
get_header();

if(bloom_global_var('blog-grid-style') == 'columns') :
?>
    <div class="fixed-column blog-fixed-column">
        <div class="bg"  data-bg="<?php echo bloom_global_var('blog_header_image','url',true);?>"></div>
        <div class="column-title">
            <h1 class="post-sec-title"><?php echo bloom_global_var('blog_home_text') ;?></h1>
            <?php echo bloom_global_var('blog_home_text_intro') ;?>   
        </div>
    </div>
    <div class="column-wrap blg-wrap">
        <div class="content">
            <?php
                get_template_part('blog-grid-list' );
            ?>                                      
            
        </div>   
    </div>

<?php else : 

$sb_w = bloom_global_var('blog-sidebar-width') ? bloom_global_var('blog-sidebar-width') : 4;
?>

<?php
if( bloom_global_var('show_blog_header') ) :?>
    <section class="blog-header-none">
            <div class="section-title">
                <h1 class="post-sec-title"><?php echo bloom_global_var('blog_home_text') ;?></h1>
                <?php echo bloom_global_var('blog_home_text_intro') ;?>   
            </div>
    </section>    
<?php endif;//end show blog header?>

    <div class="clearfix"></div>
    <div class="container <?php echo bloom_global_var('blog-grid-width');?>">
        <div class="row">
            <?php if( bloom_global_var('blog_layout') ==='left_sidebar'):?>
            
            <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
                <div class="main-sidebar left-sidebar">
                    <div class="main-sidebar-widgets">
                        <?php 
                            get_sidebar(); 
                        ?>                 
                    </div>
                </div>
            </div>
           
            <?php endif;?>
            <?php if( bloom_global_var('blog_layout') ==='fullwidth'):?>
              
            <div class="col-md-12 display-posts nosidebar">
            <?php else:?>
              
            <div class="col-md-<?php echo (12 - $sb_w);?> col-wrap display-posts hassidebar">
            <?php endif;?>

                <?php
                    get_template_part('blog-grid-list' );
                ?>

            </div>
            
            <?php if( bloom_global_var('blog_layout') ==='right_sidebar'):?>
            
            <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
                <div class="main-sidebar right-sidebar">
                    <div class="main-sidebar-widgets">
                        <?php 
                            get_sidebar(); 
                        ?>                 
                    </div>
                </div>
            </div>
            
            <?php endif;?>

        </div>
    </div>

<?php 
endif;//end blog style for columns
get_footer( );
