 <?php

/**
 * Template Name: Page Fullwidth
 *
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
if ( post_password_required() ) {
    get_template_part( 'password_protected_page' );
    return;
}
$sb_w = bloom_global_var('blog-sidebar-width') ? bloom_global_var('blog-sidebar-width') : 4;
$show_page_header = get_post_meta(get_the_ID(),'_bloom_show_page_header',true );


get_header(); ?>
<?php if($show_page_header != 'no') :?>
    <section class="blog-header-none">
        <div class="section-title">
            <h1 class="post-sec-title"><?php single_post_title( );?></h1>
            <?php 
                echo wp_kses_post( get_post_meta(get_the_ID(),'_bloom_page_header_intro',true ) );
            ?>
        </div>
    </section>    
<?php endif;//end show blog header?>
<div class="clearfix"></div>

<?php if(have_posts()) : ?>

        <?php while(have_posts()) : the_post(); ?>

            <?php get_template_part( 'content', 'page-fullwidth'); ?>

            <?php
            // If comments are open or we have at least one comment, load up the comment template.
            if ( comments_open() || get_comments_number() ) :
                comments_template();
            endif;
            ?>

        <?php endwhile; ?>

<?php endif; ?> 

<?php 
get_footer( );
