<?php
/**
 * @package Bloom - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 16-02-2017
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

get_header(); ?>
<section class="no-padding full-height">
    <div class="password-page-bg" data-bg="<?php echo esc_url( bloom_global_var('password_page_bg','url',true) ) ;?>">
        <div class="password-page-content">
            <?php echo get_the_password_form(); ?>
            <br>
            
            <?php if( bloom_global_var('password_page_intro') ){
                echo bloom_global_var('password_page_intro');
            } ?>

            <?php if( bloom_global_var('password_page_home_link') ) :?>
            <br>
            <a href="<?php echo esc_url( home_url('/' ));?>" class="password-back-link ajax"><?php esc_html_e('Back to home','bloom');?></a>
            <?php endif; ?>
        </div>
    </div>
</section>
<?php 
    get_footer();
?>